DMDE - Pomoc DMDE

Spis treści Online: en pl ru
Wersja instrukcji od 05.03.2022

Pomoc DMDE 4.0

Najnowszą dokumentację można znaleźć na stronach oprogramowania.

By lepiej zrozumieć instrukcję, warto mieć uruchomiony program DMDE.

Szereg parametrów może być ustawiony w oprogramowaniu, ich zrozumienie wymaga jednak pewnej wiedzy na temat systemów plików i dysków, a ich omówienie wykracza poza zakres tego podręcznika. Jeśli rola tych parametrów nie jest jasna, zaleca się, aby zachować ustawienia domyślne.

W instrukcji elementy interfejsu oprogramowania lub kombinacja klawiszy znajdują się w [ramkach], tekst aby wprowadzić lub wybrać lub nazw plików zostanie podświetlona na stałej szerokości zieloną czcionką.

Pomoc kontekstowa może być wywołana z pól dialogowych, naciskając [F1]/ [Shift+F1]/ [Shift+F11] klawisz lub przycisk Pomoc (z wyjątkiem DOS).

Wskazówki (tylko GUI interfejs) można wyłączyć i włączyć za pomocą menu Pomoc.

W celu otwarcia pliku CHM w systemie Windows należy skopiować go na dysku lokalnym i odblokować plik (kliknij prawym przyciskiem myszy na Właściwości i naciśnij Odblokuj).

Pomoc dostępna jest w postaci zestawu plików HTML pod Linuksa i Windows. Pliki CHM są obsługiwane w systemie Windows.

Domyślnie pliki CHM są używane w systemie Windows. Aby korzystać z plików HTML należy usunąć pliki CHM i skopiować katalog man_en do katalogu oprogramowania lub inny folder man do katalogu locals. Pliki HTML są otwierane za pomocą domyślnej przeglądarki.

W systemach Linux i macOS komendy xdg-open /open jest używany do wywołania domyślnej aplikacji dla plików HTML. Możesz użyć innej komendy za pomocą parametru shellopen=.


DMDE - O programie

Spis treści

O DMDE

http://dmde.com/ http://softdm.com/

DMDE 4.0 (DM Disk Editor and Data Recovery Software)
Copyright © 2005-2022 Dmitrij Sidorov

Opis DMDE Edycji DMDE (DMDE Editions) Opis plików Problemy i ograniczenia Instalacja

Pobieranie aktualizacji i licencji

Właściciele licencji mogą pobrać licencjonowane kopie oprogramowania z osobistej sekcji witryny. Aby przywrócić adres osobistej sekcji witryny, wypełnij formularz on-line:
http://dmde.com/request.html

Podziękowanie

Dziękujemy wszystkim, którzy pomagają w komentowaniu, testach i raportowaniu błędów, propozycjach, płatności, reklamie i promocji.

Specjalne podziękowania dla:
Igor (jsfhd), Alex (box2134), Konstantin Volkov, Leonid Arkadjev, Antech, Yatagan, 9285, okzo, Nirvanowiec, Migol21, gsm_virus, BIGOLSEN, Stepan Martinek, Przemyslaw Iwanowski, H.Mohamadi, Veniamin Khozyainov, Juri Micheli, rk, Rogerio Copetti, Zhou Xiaodong, SALiH DRD


DMDE - O programie

Spis treści · O DMDE

Opis DMDE

http://dmde.com/ http://softdm.com/

Wyszukiwanie, edytowanie i odzyskiwanie danych na dyskach.

  • Wiele darmowych funkcji, i dodatkowe płatne funkcje (edycje DMDE)
  • Wersje dla Windows, macOS, Linux, DOS
  • Uruchamianie bez instalacji
  • Wsparcie dla NTFS, FAT12/16, FAT32, exFAT, ReFS, Ext2/Ext3/Ext4, btrfs, HFS+/HFSX, APFS
  • Dokładne wyszukiwanie i odzyskiwanie danych w przypadkach najbardziej złożonych
  • Prosty menedżer partycji do szybkiego wyszukiwania, diagnostyki i odzyskiwania partycji
  • Klonowanie dysków i tworzenie obrazów dysków, w tym obsługa błędów we/wy, kopiowanie odwrotne i inne funkcje
  • Konstruktor RAID umożliwiający praktycznie rekonstrukcję macierzy RAID obsługujących macierz RAID-0, RAID-1, RAID-4, RAID-5, RAID-6, opóźnione parowanie, niestandardowe rozłożenie, JBOD/rozszerzone dyski; narzędzie do automatycznego wykrywania układu RAID
  • Mapa klastrów w celu zbadania alokacji plików
  • Edytor dysków zgodny z najnowszymi wersjami systemu Windows, aby przeglądać, edytować i poruszać się po różnych struktur dyskowych (szablony wbudowane i niestandardowe)
  • Narzędzia NTFS do pracy z pominięciem sterownika NTFS (kopiowanie, usuwanie plików, tworzenie, naprawie katalogów)
  • Obsługiwane dużych plików, dużych dysków oraz dużych rozmiarów sektora, kompresji i szyfrowania NTFS, różnych ustawień we/wy urządzenia i inne funkcje


Edycji DMDE (DMDE Editions)

Spis treści · O DMDE

Edycje DMDE (DMDE Editions)

Aktualne informacje są dostępne na stronie oprogramowania (porównanie edycji, zakup online).

Aby uzyskać wszystkie funkcje profesjonalne, należy pobrać oprogramowanie z osobistej sekcji (przywróć logowanie). W innych przypadkach może po prostu wprowadzić poprawny klucz licencyjny do istniejącej wersji. Można aktualizować / upgrade / przywrócić swój klucz w swojej osobistej sekcji (przywrócić logowanie).

Free Edition posiada wszystkie funkcje bazowe, lecz odzyskuje tylko do 4000 plików z bieżącego panelu (najpierw otwórz katalog z niezbędnymi plikami na panelu, a następnie wybierz odzyskiwanie z panelu). Klucz licencyjny usuwa ograniczenie i pozwala odzyskać zagnieżdżone katalogi zgodnie z drzewem katalogów zbudowanym w programie.

Licencja Professional Edition zapewnia dodatkowe możliwości:

  • prawa do świadczenia usług odzyskiwania danych
  • przenośny prowadzony na różnych komputerach (portable activacja)
  • jednorazowa aktywacja na komputerze klienta (w tym zdalnego wykorzystania)
  • raporty odzyskiwania danych (w tym logi i sumy kontrolne plików)
  • obsługa odczytu plików E01 obrazów dysków
  • używanie logów podczas kopiowania dysku (wznowienie, kilka przejść)
  • konfigurowalny skrypt obsługi We/Wy
  • odzysk alternatywnych strumieni danych NTFS
  • dostęp DMA w DOS (dla interfejsu ATA)


DMDE - Opis plików

Spis treści · O DMDE

Opis plików

Executable

dmde.exe lub dmde - program.

Lokalizacja

*.tbl - tablice strony kodowej
*.lng - pliki językowe

Dokumentacja

eula*.txt - umowy licencyjnej (EULA)
versions.txt - informacje na temat niektórych zmian w wersjach
readme*.txt - pliki Readme
dmde*.chm - pliki pomocy Windows
man*/* - pliki pomocy w formacie HTML

Inne pliki

dev9x.dll, dev32.dll - sterowniki do pracy pod Windows 9x/ME
dmde*.ini - ustawienia programu
template.txt - szablony edytora dysku
cwsdpmi*.exe - Extender DOS do uruchamiania 32-bitowych aplikacji DOS (Copyright © 2010 CW Sandmann, nie jest składnikiem produktu DMDE)


DMDE - Problemy i ograniczenia

Spis treści · O DMDE

Znane problemy i inne ograniczenia

Odzyskiwanie danych

  • Odzyskiwanie danych można wykonać tylko na inny dysk (partycję), dysk docelowy musi być obsługiwany przez system operacyjny (np. w DOS/Win9x/ME można odzyskać tylko na dysk sformatowany w systemie FAT)
  • DOS, Win9x/ME: symbole unicode w nazwach plików poza wybraną stroną kodową zastępowane są podkreśleniami ("_") lub są transliterowane według załadowanej tablicy translit
  • DOS, Win9x/ME lub FAT: pliki większe niż 4 GB można odzyskać tylko z podziałem na części ze względu na ograniczenie FAT
  • Twarde linki NTFS są odzyskiwane jako różne pliki
  • Alternatywne strumienie NTFS można odzyskać tylko dla docelowe partycji NTFS
  • NTFS directory alternate data streams can be recovered only after FS reconstruction
  • Odzyskiwanie plików z szyfrowaniem NTFS do 4 GB
  • Uprawnienia i właścicieli NTFS nie są obsługiwane
  • Maximum name length supported: 255 characters
  • Linki symboliczne nie są obsługiwane
  • Symbolic links, special attributes, other FS-specific options are not supported
  • Win9x/ME: dyski większe niż 128 GB nie są obsługiwane bez specjalnej poprawki do sterowników systemu Windows
  • Maksymalna długość ścieżki: 259 znaków dla DOS, 4096 znaków dla Windows, Linux, macOS
  • Maksymalna długość ścieżki obsługiwanej przez DOS: 79 lub 127 znaków (dla nazwy DOS) w zależności od wersji DOS
  • Głębokość podkatalogów do 1024 (można zwiększyć za pomocą parametru maxrecoverdepth=)
  • Jeśli substytucji nazwa jest używana pod DOS, obsługa nazw (np. auto zmiana nazwy) nie jest obsługiwana

Obsługa zapisu NTFS

  • Dziennik nie jest obsługiwany
  • SECURITY INFORMATION nie jest obsługiwany na tworzenie (dostęp do plików i katalogów należy ustawić przy użyciu funkcji uprawnienień OS)
  • OBJECTID nie jest obsługiwany
  • Dodatkowe tworzenie nazw zgodnych DOS nie jest obsługiwany
  • Skompresowane pliki nie są obsługiwane
  • Alternatywne strumienie danych nie są obsługiwane
  • Aby przydzielić / dołączyć plik wymagane jest ciągłe wolne miejsce

Inne

  • Oprogramowanie może pracować w ramach dostępnej pamięci RAM. 32-bitowe wersje może wykorzystać maksymalnie do 3 GB pamięci RAM (do ~10 milionów plików i 2 milionów fold.); DOS może uzyskać dostęp do jeszcze mniejszej ilości pamięci
  • brak dodatkowej obsługi plików obrazów dysków wirtualnych w DOS
  • NTFS alternate data streams for a file are displayed only in a single directory (no matter the file may be hard linked to multiple directories)
  • Do 2K pozycji w liście urządzeń
  • Do 16K niestandardowych elementów obrotu danych przy konstruowaniu Custom RAID
  • Do 2K widoczne woluminów dla pełnego skanowania (parametr showvolumesnum=)
  • Do 16 milionów fragmentów MFT dla NTFS podczas pełnego skanowania (parametr ntfsmaxmftruns=)
  • Maksymalna głębokość szukaj Panelu szukania plików do 1K katalogów
  • Obsługa klawiatur i mysz jest ograniczona w systemie Linux (skróty klawiaturowe i klawisze specjalne mogą nie być obsługiwane)


DMDE - Instalacja i uruchamianie

Spis treści

Instalacja i uruchamianie

Wymagania systemowe Aktywacja Ustawienia Jezyki Windows Linux MacOS DOS

Uwaga! W przypadku wątpliwości, co do stanu fizycznego dysku (błędy wejścia-wyjścia, spadek wydajność, itd.) zaleca się zgłoszenie do specjalistów - zobacz sekcję Praca z wadliwymi urządzeniami. Jeśli urządzenie nie jest dostępne lub ma nieprawidłowy rozmiar, zobacz Wymagania systemowe.

Uwaga! Nie pisz nic do źródła dysku, gdzie utracone dane są położone. Użyj innego dysku, aby załadować system operacyjny, zainstalować lub uruchomić oprogramowanie oraz odzyskać dane, w przeciwnym razie może zostać usunięte bezpowrotnie.

Zdecydowanie zaleca się pracę w systemie, który nie próbuje więcej uzyskać dostępu do dysków (szczególnie w trybie zapisu). Możesz utworzyć dysk rozruchowy DOS (aby sklonować dyski dostępne w trybie IDE) lub użyć rozruchowych dysków LiveCD / USB opartych na systemie Linux lub specjalnym środowisku, takim jak WinFE opartym na systemie Windows, w którym dostęp do dysku jest zminimalizowany.

W celu zapewnienia jak największej zgodności z takim środowiskiem zaleca się wyłączenie opcji "szybkiego rozruchu" i włączenie opcji "USB legacy mode" w BIOS / UEFI. Aby uruchomić komputer z dysku Live, może być konieczne wyłączenie trybu Secure Boot i trybu UEFI (przełączenie na tryb Legacy BIOS).

Aby zainstalować/przeinstalować i uruchomić program po prostu rozpakuj wszystkie pliki i katalogi do oddzielnego folderu (zachowując strukturę katalogów, również na nośniku wymiennym) i uruchom plik dmde.exe lub dmde, w zależności od systemu operacyjnego. Musisz posiadać uprawnienia Aministratora/Superusera do pracy z urządzeniami w systemie Windows NT+, Linux, macOS. Aby uruchomić oprogramowanie bez praw administratora należy dodać parametr notadmin=1 do pliku dmde.ini. Aby odinstalować oprogramowanie po prostu usuń rozpakowane pliki i katalogi.

Systemy operacyjne

Windows Vista/7/wyżej

W przypadku żądania SmartScreen kliknij "Szczegóły" i potwierdź uruchomienie oprogramowania. Aby uruchomić program jako administrator kliknij prawym przyciskiem myszy ikonę programu i użyć odpowiedniego komendy w menu kontekstowym lub potwierdzić zgłoszenie UAC.
Uwaga! Aby pracować z dyskami o pojemności przekraczającej 2 TB muszą być zainstalowane najnowsze wersje sterowników kontrolera.

Windows 2K/XP

Aby skorzystać z programu należy zalogować się jako Administrator.
Uwaga! Aby pracować z dyskami o pojemności powyżej 128 GB trzeba Windows 2K SP4 i ręcznie włączyć w rejestrze wsparcie dla LBA48 lub Windows XP SP2 (wsparcie dla LBA48 jest włączone domyślnie).

Windows 98/ME

Uwaga! Bez specjalnych łatek Windows 9x/ME obsługuje nieprawidłowo dyski powyżej 128 GB.
Aby uniknąć tego problemu uruchom komputer w trybie MS-DOS i użyj DMDE dla DOS by mieć dostęp do takich dysków przez BIOS lub interfejs ATA lub uruchom inny OS.

Linux

Należy przejść do terminala lub uruchomić emulator terminala (Konsole, gnome2-terminal, itp.). Następnie przejdź do katalogu programu i wpisz ./dmde. Aby mieć dostęp do urządzeń należy uruchomić program jako administrator (superuser). Należy zapoznać się z dokumentacją systemu operacyjnego, aby uzyskać informacje jak to zrobić (np. w Ubuntu uruchomić sudo ./dmde, w systemie Debian należy użyć komendy su aby uzyskać uprawnienia root itp.). Być może trzeba ustawić uprawnienia wykonywania dla pliku dmde (chmod 755 ./dmde). Aby uruchomić 32-bitowe wersje oprogramowania w 64-bitowych systemach Linux może trzeba zainstalować dodatkowy biblioteki (na przykład, aby zainstalować wymagany pakiet libc6-i386 w Ubuntu, użyj komendy sudo apt-get install libc6-i386).

MacOS

Ponieważ współczesne wersje macOS próbują uniemożliwić bezpośredni dostęp do dysku i są mniej odpowiednie do pracy z uszkodzonymi dyskami, zaleca się używanie różnych systemów operacyjnych. Jeśli nie ma innego komputera, możesz spróbować utworzyć i załadować Ubuntu LiveUSB zgodnie z instrukcją.

W systemie macOS możesz spróbować odmontować dysk za pomocą Systemowego Narzędzia dyskowego, aby uzyskać dostęp. Jeśli macOS uniemożliwia dostęp do dysku, może być konieczne wyłączenie tablic partycji w innym systemie operacyjnym (użyj poleceń MBR Off / GPT Off w DMDE w oknie Partycje).

Jeśli macOS blokuje uruchomioną aplikację, możesz użyć Control-Kliknij lub przejść do Preferencji systemowych, wybierz Bezpieczeństwo i prywatność i kliknij „Otwórz mimo to” dla zablokowanej aplikacji: Safely open apps on your Mac

Możliwe jest również uruchomienie oprogramowania jako użytkownik root z terminala, zapoznaj się z powyższymi instrukcjami dotyczącymi systemu Linux.

MacOS specjalnie oznacza aplikacje pobrane z Internetu i uruchamia je z losowego katalogu. W takim przypadku oprogramowanie nie może działać jako przenośne i używa domyślnego katalogu obsługi aplikacji użytkownika do przechowywania ustawień i kluczy. Aby aplikacja była przenośna, uruchom polecenie w terminalu
xattr -r -d com.apple.quarantine /<ścieżka do aplikacji>/dmde.app
lub po prostu przenieś / skopiuj katalog zawierający aplikację i plik dmde.ini na nośnik nieobsługujący rozszerzonych atrybutów (np. na dysk flash USB w formacie FAT).

DOS

W przypadku problemów z wyjściem wideo może być konieczna zmiana wartości parametru biosoutput=0 w pliku dmde.ini na: biosoutput=1

Jeśli podczas uruchamiania oprogramowania wystąpi błąd, może to oznaczać problem z menedżerem rozszerzonej pamięci. Spróbuj użyć starego menedżera pamięci, uruchamiając plik wsadowy dmde_dpo.bat, jednak będzie mniej dostępnej pamięci.

Możesz użyć dmde w regularnie partycji obsługiwanej przez system DOS lub użyć DOS dysku startowego. Może to być pomocne w przypadku wystąpienia problemów z wykorzystaniem konkretnego dysku. Dyski SATA musi być przełączony w tryb IDE kompatybilny w ustawieniach BIOS dla bezpośredniego dostępu ATA. SCSI, USB i inne urządzenia mogą być dostępne za pośrednictwem specjalnych sterowników DOS lub korzystania z funkcji BIOS-u, jeżeli są one obsługiwane.

Niektóre pliki do tworzenia dysków startowych DOS są dostępne na stronie programu w sekcji Additional Downloads.

Startowy dyskietki

Aby utworzyć dyskietkę startową ściąganie i rozpakować FDD image. Można użyć funkcji kopiowania sektorów pisać obraz na dyskietkę. Użyj obrazu jako pliku źródłowego i FDD jako urządzenia docelowego. Obrazy ISO bootowalnej płyty CD mogą być również tworzone na bazie startowych obrazów FDD z pomocą innego oprogramowania.

Dysk startowy DOS

Ładowanie od konkretnego dysku musi być obsługiwany przez BIOS (patrz menu rozruchu systemu BIOS). Aby utworzyć bootowalną USB/HDD trzeba świeżo sformatowanej partycji podstawowej FAT16/FAT32 na dysku. Niestandardowe dysków/partycji nie są obsługiwane (nie MBR, 3TB +, itp.). Aby uzyskać największą zgodność, opcjonalnie najpierw wyzeruj dysk, a następnie zainicjuj dysk jako MBR i utwórz i sformatuj główną partycję FAT, używając standardowych środków systemu operacyjnego.

1. Pobierz FreeDOS Package i wyodrębnij pliki bezpośrednio do katalogu głównego partycji FAT.
2. Otwórz dysk jako urządzenie fizyczne w DMDE i użyj polecenia zapis sektorów startowych w menu partycji, aby utworzyć startowy urządzenia (określić lokalizację plików rozpakowanych jako źródło sektorów startowych). Zastosuj zmiany i zamknij dmde.
3. Pobierz DMDE dla DOS i rozpakuj na partycji FAT.


DMDE - Wymagania systemowe

Spis treści · Instalacja i uruchamianie

Wymagania systemowe

Windows Linux MacOS DOS

Wymagania wspólne

  • Dyski: bez znaczących problemów sprzętu/firmware
    Uwaga! Jeśli istnieją problemy fizyczne (obce dźwięki, komunikaty o błędach, spadek wydajność, itd.) zaleca się zgłoszenie do specjalistów - zobacz sekcję Praca z wadliwymi urządzeniami
  • Zobacz sekcję Instalacja i uruchamianie, aby uzyskać informacje o zalecanym środowisku systemu operacyjnego
  • Procesor: Intel kompatybilny (i486 i wyższe)
  • Aby zapisać/wykorzystać wyniki, raporty i ustawień, wymagana jest sprawna partycja, które jest obsługiwana przez system operacyjny (w szczególności partycja FAT jest wymagana do pracy w DOS/Win9x/ME)
  • Zobacz też Problemy i ograniczenia

Niewłaściwy rozmiar urządzenia

Nie pracuj z dyskiem, którego rozmiar został nieprawidłowo wykryty. Możliwe jest samodzielne rozwiązanie niektórych problemów związanych z rozmiarem - zapoznaj się z przewodnikiem z zewnętrznego źródła.

  • Pojemność Ograniczenie Jumper jest niesłuszna (rozmiar urządzenia jest ograniczona do 32 GB)
  • HPA jest błędnie applyed. Rozmiar zwykle staje się mniej niż 1 TB lub podobne (typowe dla niektórych płyt głównych GIGABYTE). Spróbuj oprogramowania: HDD Capacity Restore Tool (Windows), hdparm (Linux), HDAT2, MHDD, Victoria (DOS)
  • Brak obsługi dużych dysków na OS - zobacz poniżej
  • Nieprawidłowe sterowniki dla kontrolera SATA/USB (nie poprawne wsparcia 3 TB+). Urządzenie jest wyświetlane tipically 2.2 TB mniej. Aktualizuj sterowniki
  • Obudowa USB / adapter ma inną poprawną obsługę 3 TB+. Zmień adapter lub podłącz urządzenie bezpośrednio

Windows 2K+ (2K/XP/Vista/7/wyżej)

  • Zalecane: Windows XP + SP2 i wyżej
  • 32-bitowe wersje działa w systemie Windows, zarówno 32-bitowych i 64-bitowych
  • Uprawnienia administratora
  • Urządzenia: obsługiwane przez OS
    Uwaga! Aby pracować z dyskami o pojemności przekraczającej 2 TB pod Windows Vista/7/wyżej najnowsze wersje sterowników kontrolera musi być zainstalowana. Aby pracować z dyskami o pojemności powyżej 128 GB w Windows 2K/XP należy mieć zainstalowane poprawki Service Packs oraz trzeba ręcznie włączyć w rejestrze wsparcie dla LBA48

Windows 98/ME

  • Urządzenia: obsługiwane przez OS
    Uwaga! Windows 9x/ME obsługuje dyski o pojemności większej niż 128 GB nieprawidłowo, chyba że specjalne łatki są zainstalowane.
    Aby uniknąć tego problemu uruchom komputer w trybie MS-DOS i użyj DMDE dla DOS, by mieć dostęp do takich dysków przez BIOS lub interfejs ATA.

Linux

  • OS: Nowoczesne dystrybucje Linux z biblioteką libc
  • Biblioteki, aby uruchomić 32-bitowe wersje w 64-bitowych systemach Linux (np., pakiet libc6-i386)
  • Urządzenia: obsługiwane przez OS
  • Praw superużytkownika
  • Terminal (z praw Root) lub emulator (xterm, Konsole, Gnome-Terminal, itp.) dla wersji konsolowej lub biblioteka gtk2.0 dla wersji GUI

MacOS

  • OS: macOS 10.12+
  • Praw superużytkownika
  • Urządzenia: obsługiwane przez OS, patrz Instalacja i uruchamianie

DOS

  • OS: MS-DOS 5.0+ zgodny
  • Urządzenia: obsługiwane przez BIOS lub obsługiwane przez DOS (przy użyciu sterowników ASPI) lub wspierające interfejs ATA (IDE lub SATA). Dyski SATA mogą być przełączane w tryb zgodny z IDE w ustawieniach BIOS dla bezpośredniego dostępu ATA
  • DOS Extender (np., plik CWSDPMI.EXE © 2000 CW Sandmann w katalogu programu)
  • Co najmniej 200 kB wolnej niskiej pamięci
  • Co najmniej 64 MB pamięci rozszerzonej
  • Dla długich nazw plików lub by zapobiegać występowaniu duplikatów nazw w trakcie odzyskiwania niezbędny jest sterownik długich nazw (np. DOSLFN.COM © Haftman software)
  • Do sterowania myszą konieczne jest załadowanie odpowiedniego sterownika dla DOS


DMDE - Aktywacja

Spis treści · Instalacja i uruchamianie Online: en pl ru fr de

Aktywacja

Uwaga! Aby uzyskać wszystkie funkcje profesjonalne należy pobrać oprogramowanie z osobistej sekcji. W innych przypadkach może po prostu wpisać swój klucz licencyjny na żądanie oprogramowania. Użyj oprogramowania zgodnie z warunkami licencji w celu uniknięcia blokowania i odwołaniu. Można uzyskać rzeczywisty klucz, jak również informacji o blokowaniu w osobistym sekcji (przywróć logowanie).

Należy aktywować licencjonowanej kopii przy pierwszym uruchomieniu na nowym lub zmodyfikowanym sprzęcie lub po wprowadzeniu klucza licencyjnego.

Aktywacja online

Naciśnij przycisk Aktywacja online. Jeśli bezpośrednie połączenie z Internetem jest dostępne oprogramowanie zostanie aktywowane automatycznie. Kod aktywacyjny zostanie zapisany do dmde.ini. Wersja DOS nie obsługuje aktywacji online.

Ręczna aktywacja

Jeśli aktywacja online nie jest możliwa, można ręcznie pobrać i wprowadzić kod aktywacyjny.
1. Uruchom program na komputerze, na którym chcesz aktywować. Wybierz Ręczna aktywacja. Zapisz plik dmdeinst.dat (lub napisz swoje Prod.ID i Inst.ID).
2. Otwórz stronę aktywacji http://ac.dmde.com/ lub http://ac.softdm.com/ z dowolnego miejsca. Prześlij plik dmdeinst.dat (lub wpisz swój Prod.ID i Inst.ID). Kod aktywacyjny zostanie wygenerowany.
3. Wpisz kod aktywacyjny, aby zakończyć aktywację.

Typy aktywacji (Professional Edition)

1. Stacjonarna aktywacja

Stacjonarna aktywacja wiąże korzystanie oprogramowania z konkretnym komputerem: wybierz pozycję Stacjonarna aktywacja i użyj aktywacji Online lub Ręczna.

2. Przenośna activacja (przenośne uruchamianie)

Przenośna aktywacja wiąże korzystanie oprogramowania z wymiennym dyskiem flash USB i pozwala korzystać z programu na różnych komputerach bez dostępu do Internetu (w Windows 2K, Linux, macOS).

Wstępne powiązanie do urządzenia

1. Wybierz pozycję Przenośna activacja i wybierz przenośne urządzenie do powiązania. Urządzenie musi zgłosić zawsze ten sam numer seryjny prawidłowy (12 lub więcej cyfr i wielkich łacińskich liter, na przykład, przewoźnicy Kingston, SanDisk najbardziej zgodne ze standardem).
2. Użyj aktywacji Online lub Ręczna, aby zakończyć powiązanie (zostanie zapisana do dmde.ini).

Dalsze użytkowanie na różnych komputerach
Podłącz urządzenie, uruchom program i wybierz urządzenie z listy w razie potrzeby.

3. Jednorazowa aktywacja

Jest on przeznaczony do jednorazowego uruchomienia programu na komputerze użytkownika, kiedy nie jest możliwe, aby używać przenośnego aktywacji (na przykład do zdalnego stosowania).

Pobierz podstawową wersję oprogramowania (bez profesjonalnych funkcji) i wprowadzić specjalny klucz licencyjny (Client Edition) oraz hasło jednorazowe, które są wystawione w sekcji osobistej (przywrócić logowanie), i aktywuj Online lub Ręczna.


DMDE - Jezyki

Spis treści · Instalacja i uruchamianie

Jezyki/Lokalizacja

Okno dialogowe "Select Language"

Apply Codepages. Jeśli opcja jest zaznaczona to kodowanie strony ANSI i OEM z wybranego pliku lokalizacji jest używane.

Translit. Transliteruje interfejs jeśli występują problemy z wyświetlaniem symboli narodowych.

Kodowe strony - Interfejs i odzyskiwanie danych

Jeśli jest obsługiwany przez OS, DMDE używa Unicode dla interfejsu i podczas odzyskiwania nazw plików. Inaczej strona kodowa ANSI jest używana w OS Windows 98/ME, strona Kodowa OEM jest używana w systemie DOS, symbole z poza wybranej strony kodowej interfejsu są transliterowane lub podstawiane.

Strona kodowa OEM jest używana również podczas odczytu krótkich narodowych nazw (format 8.3) z woluminów FAT.

Domyślnie używana jest strona kodowa OS (jeśli dotyczy). Strony kodowye z pliku ini (opcjonalnie) nadpisują ją. Strony kodowe z wybranego pliku lng (*.lng) zmieniają wszystko, jeśli opcja Apply Codepages jest zaznaczona w oknie dialogowym "Select Language". Plik lng-string 107= przeznaczony jest dla strony kodowej ANSI, plik lng-string 108= przeznaczony jest dla strony kodowej OEM.

Ustawieńia pliku INI

usecodepage= strona kodowa ANSI
oemcodepage= strona kodowa OEM
translitenable= (Translit)
viewtranslit= (Translit)


DMDE - Ustawienia programu

Spis treści · Instalacja i uruchamianie

Ustawienia programu

Ustawienia są przechowywane w katalogu programu w pliku dmde.ini. Plik zawiera również opis parametrów.

Parametry We/Wy dysku... mogą być zmieniane w czasie rzeczywistym.


DMDE - Praca z programem

Spis treści

Praca z programem

  • Szukanie i otwarcie woluminów
  • Odzyskiwanie danych
  • Zarządzanie partycjami
  • Pełne skanowanie
  • Wybór urządzenia
  • Parametry We/Wy dysku
  • Obrazy dysków i klony
  • Macierze RAID
  • Panel plików
  • Edytor dysku
  • Mapa klastrów


DMDE - Otwórz wolumin

Spis treści · Praca z programem

Szukanie i otwarcie woluminów

Aby przeglądać, przeglądać, edytować i odzyskać pliki i katalogy należy odnaleźć i otworzyć woluminu, zawierający dane. Użyj następujących metod w zależności od stopnia uszkodzenia.

1. Jeśli woluminu jest w pełni dostępny w literę (C:, D:, ...), można go otworzyć za pomocą okna dialogowego Wybierz urządzenie, wybierając opcję Dyski logiczne / woluminy / DOS Services. Metoda ta jest odpowiednia do odzyskiwania skasowanych plików ze zdrowego woluminu. Jeżeli nie jest możliwe, aby otworzyć woluminu lub właściwie odzyskać pliki, spróbować następną metodę.

2. Wybierz urządzenie fizyczne zawierające woluminu (Wybierz urządzenie – Urządzenia fizyczne, lub pod DOS – ATA Interface, BIOS Services). Następnie wybierz i otwórz woluminu w oknie dialogowym Partycje. Jeżeli nie jest możliwe, aby otworzyć woluminu w taki sposób, lub danych nie jest jeszcze odpowiednio odzyskane, spróbuj użyć następnej metody w przypadkach najbardziej skomplikowanych.

3. Wypełn Pełne skanowanie i otwórz jeden z znalezionych wariantów woluminow. Czytaj sekcji Pełne skanowanie dla skuteczniejszego odzyskiwania w tym przypadku.

Użyj polecenia Otwórz parametry woluminu w menu kontekstowym, aby ręcznie zmienić niektóre parametry przed otwarciem woluminu.

Również wolumin mogą być otwarte od okna edytora, gdy widzenia sektora rozruchowego woluminu lub kopii sektora startowego w trybie Boot sektor.

Praca z specjalnymi nośnikami

Jeśli nośnik danych to RAID / wolumin rozłożony, najpierw należy skonstruować macierz RAID zamiast otwierania pojedyncze urządzenie fizyczne.

Jeśli wolumin jest zawarty w maszynie wirtualnej / obrazie lub partycji zaszyfrowanego dysku, należy najpierw zamontować / odszyfrować obraz (lub jego kopię dla bezpieczeństwa) przy użyciu odpowiedniego oprogramowania (wirtualizacji), a następnie pracować z zamontowanym / odszyfrowanym dyskiem. Można jednak również otworzyć płaski obraz i obraz VHD / VHDX bezpośrednio, korzystając z opcji Obraz dysku w oknie Wybór urządzenia.


DMDE - Odzyskiwanie danych

Spis treści · Praca · Menu · Narzędzia

Odzyskiwanie danych

Problemy z urządzeniem Błędy w plikach Szyfrowane pliki Pełne skanowanie

Uwaga! Eżeli pliki zostaną odzyskane nieprawidłowo lub występują inne problemy, upewnij się, że korzystasz z najnowszej wersji oprogramowania z zaufanego źródła.

Uwaga! Nie pisz nic na źródłowego dysku/partycji. Należy odzyskać dane tylko na inny dysku. Zalecane jest, aby odzyskać dane na inne urządzenie fizyczne. Możesz odzyskać do innej partycji tego samego urządzenia tylko jeśli jesteś pewien, że partycje źródłowy i docelowy nie pokrywają się, a urządzenie nie ma problemów fizycznych. Nie należy ładować system lub uruchamiać oprogramowanie z partycji gdzie dane do odzyskania znajduje.

Kroki odzyskiwania danych

  • Znajdź i otwórz wolumin zawierający utracone dane;
  • otwórz (ponownie) katalog wirtualny [Wszystkie znalezione / wirtualny FS], aby uzyskać więcej lub mniej znalezionych plików (zobacz Wirtualna rekonstrukcja);
  • zaznacz elementy do odzyskania i użyj menu Narzędzia · Odzyskaj, aby odzyskać je na inny dysk.

Free Edition obsługuje odzyskiwanie maksymalnie 4000 plików z bieżącego panelu tylko (najpierw otwórz katalog z niezbędnymi plikami na panelu, a następnie wybierz odzyskiwanie z panelu).

Jeśli nie możesz otworzyć / odtworzyć plików po odzyskaniu, wypróbuj różne znalezione warianty woluminów - wróć do wyników pełnego skanowania lub partycji i otwórz następny znaleziony wolumin.

Okno dialogowe "Odzyskaj"

Kategorie plików

Wybierz kategorie plików do odzyskania - patrz ikony panelu plików, aby zobaczyć szczegóły kategorii. Podczas przejścia pola wyboru dla plików wyłączonych zostaną usunięte, chyba że zaznaczona jest opcja "zachowaj znaczniki wyboru dla wykluczonych elementów".

Przycisk "Rozmiar"

Oblicz rozmiar danych do odzyskania. Globalny wskaźnik procesie odzysku jest roboczych, jeśli rozmiar jest obliczana. Nie należy obliczyć rozmiar uniknąć niepotrzebnego obciążenia urządzenie na urządzeniach z uszkodzonych sektorów.

Przycisk "Lista" · Lista plików

Utwórz listę wybranych plików wraz z ich atrybutami.

Przycisk "Lista" · Lista sektorów

Uzyskaj listę sektorów zajmowanych przez wybrane pliki (np. może być ona wykorzystana przez inne oprogramowanie do utworzenia częściowego klonu dysku). Możliwe jest raportowanie granic fragmentów w sektorach lub w bajtach, oraz określanie ścieżek plików na liście.

Opcja Zakresy sektorów umożliwia wyświetlenie tylko tych fragmentów plików, które znajdują się w określonych zakresach sektorów. Na przykład umożliwia to uzyskanie listy uszkodzonych plików znajdujących się w uszkodzonych sektorach podczas odzyskiwania z pliku obrazu (lub ze zdrowego sklonowanego dysku), który sam nie zgłasza uszkodzonych sektorów źródłowych. Jeśli utworzyłeś obraz / klon za pomocą funkcji Kopiuj sektory z włączonym plikiem dziennika, możesz wyeksportować listę uszkodzonych i pominiętych sektorów z dziennika za pomocą polecenia w Menu w okne dialogowym Kopiuj sektory.

Ograniczenia dotyczące odzyskiwania danych są stosowane do wielu plików i przetwarzania podkatalogów, jeśli używana jest wersja Free Edition. Alternatywnie możesz użyć raportu mapy klastrów bez ograniczeń, w tym przypadku listy będą również sortowane według pozycji fragmentów na dysku.

"Uwzględnij alt.strumieni NTFS" (Professional Edition tylko)

Odzyskiwanie NTFS alternatywne strumienie danych (nazwa strumienia i nazwa pliku są oddzielone dwukropkiem, np. nazwa_pliku:streamName).

Filtry plików

Nazwa, rozmiar i data modyfikacji filtrów są obsługiwane. Podczas zaznaczania pól przejścia dla plików wykluczonych nie będzie zaznaczone, chyba że zaznaczona jest opcja "zachowaj znaczniki wyboru dla wykluczonych elementów". Użyj 0 (zero) jako drugą wartość dla rozmiaru, jeśli chcesz ustawić tylko mniejszy rozmiar.

Definiowanie maski nazwy (oddzielone średnikiem), aby odzyskać tylko pasujące pliki. Symbole wieloznaczne "*" (dowolny zestaw znaków) i "?" (dowolny znak) mogą być użyte. Maski wykluczeń może być również określona przez poprzedzenie odwrotny ukośnik "\". Maski na początku mają pierwszeństwo. Na przykład nazwa abc.tmp pasuje do a*;\*.tmp i nie pasuje do \*tmp;a*.

Utwórz raport (Professional Edition tylko)

Zapisz raport odzyskiwania do pliku. Wszystkie pliki i katalogi, dziennika błędów We/Wy, obliczenia sum kontrolnych CRC-32, MD5, SHA-1, SHA-256. Log file name and other parameters are requested just before starting the recovery process.

Dodatkowe problemy

Unicode nazwy

Opcja jest zaznaczona, jeśli system operacyjny obsługuje standard Unicode, inaczej symbole poza wybranym kodzie strony należy transliteracji lub podstawione (patrz Lokalizacja). Niedostępny w DOS.

Odzyskiwanie do woluminu FAT, pole "Podziel dużych plików"

Woluminy FAT nie obsługuje plików większych niż 4 GB (lub czasem 2 GB). Większe pliki mogą być podzielony podczas odzyskiwania na żądanie, jeśli OS prawidłowo informuje (które nie zawsze tak jest), lub opcja Podziel dużych plików jest używany (zalecane). Później można połączyć części plików na inny dysk za pomocą narzędzia systemowe copy / b part1 + part2 part3 + wynik, na przykład. Czysta DOS obsługuje tylko woluminy FAT.

Długie i krajowych nazw plików w systemie DOS, pole "Zastępuj nazwy"

Bez specjalnych sterowników długich nazw plików nie są obsługiwane w systemie DOS. Opcja Zastępuj nazwy umożliwia zastąpienie nazwy w okresie odzyskiwania. Plik LRENAME.BAT jest tworzony w folderze docelowym dla wstecznej zmiany nazwy. Aby przywrócić oryginalne nazwy załadować pliku system operacyjny Windows, przejdź do folderu docelowego i uruchomić pliku LRENAME.BAT. Odpowiednie kodowej strony OEM musi być wybrany podczas pracy w DOS, aby przywrócić symbole narodowe poprawnie. Unicode symboli poza wybraną kodowej stronę będzie transliteracji lub podstawiony.

Możesz dodać parametr substnamesutf8=1 lub użyć opcji utf-8 aby utworzyć LRENAME.BAT w formacie utf-8, który obsługuje wszystkie symbole Unicode niezależnie wybrana strona kodowa. Format utf-8 jest obsługiwany w systemie Windows 7 i wyższych.

Ścieżki dłuższe niż 259 znaków (Windows NT i wyżej)

Opcja Wsparcie dla bardzo długich ścieżek (lub ręczna zmiana prefiksu \\?\ przy określaniu katalogu docelowego, np.: \\?\D:\) pozwala odzyskać ścieżki dłuższe niż 259 znaków. Takie długie ścieżki mogą być niedostępne przy użyciu standardowych środków systemu operacyjnego, takich jak Explorer ("Mój komputer").

Zduplikowane nazwy, błędy w plikach i obsługa innych zdarzeń

Podczas odzyskiwania mogą się powtarzać nazwę ze względu na znalezienie różnych wersji tego samego pliku, różne linki do tego samego pliku, lub z powodu błędnego połączenia katalogów.

Jeśli plik lub katalog z tej samej nazwie jest odzyskiwane jest kwerendę, z której można wybrać, jak radzić sobie duplikatów. Jest możliwe zmienić nazwę obiektu ręcznie (wpisując nazwę) lub wybrać zmianę nazwy auto lub pomijania wszystkich kolejnych obiektów. Możliwe jest także do łączenia katalogów z tymi samymi nazwami.

Istnieje próg zmiany nazwy dla pojedynczego obiektu, po którym drugie zapytanie zostanie do pożądanego działania w przypadku osiągnięcia progu. Parametry maxfilerenames i maxdirrenames z pliku ini są wykorzystywane jako numery progu domyślnie.

Określenie duplikatów nazw działa na bazie systemu plików docelowego. Obsługa nazw nie działa w przypadku zastąpienia nazw jest używana w systemie DOS.

Obsługa zdarzeń...: wstępnie ustawione programy obsługi zdarzeń odzyskiwania (zbieżność nazw, I/O błędy, i inne).

NTFS Encrypted Recovery

NTFS encrypted files are recovered without decryption. You need the certificate from the source system or backup to be installed on a destination system to open encrypted files after recovery. Please refer to Microsoft documentation on exporting and importing certificates.

Encryption (EFS) is NTFS feature, encrypted file contains the encrypted data and encryption key which in its turn is encrypted with a certificate key. Since the feature may be unsupported in OS or for destination FS there are recovery options to workaround this.

Recover to separate streams: recover data and key into separate files/streams. Further processing of these streams is a user task.
Recover to backup (portable format): recover data and key into a single backup file. The backup file may be stored on any FS, no OS support is required also. The backup file may later be restored into EFS encrypted file using the menu Tools - Przywróć EFS z backupu... (then both OS and FS must support EFS there).
Recover to NTFS encrypted file: recover at once into an encrypted NTFS file. EFS support from both destination file system and operating system is necessary (e.g. NTFS, Windows).


DMDE - Zarządzanie partycjami

Spis treści · Praca · Menu · Dysk

Zarządzanie partycjami

Narzędzie do przeglądania, przeszukiwania i otwarcia woluminów, a także proste zarządzanie partycji na dyskach stylu MBR i GPT. Inne style (np. hybrydowy, dynamiczny) nie są obsługiwane i partycji może być wyświetlany jako znalezione.

Ostrzeżenie! Wszelkie modyfikacje dysku mogą spowodować dalszą utratę danych (czytaj więcej)

Aby umożliwić modyfikacje, należy włączyć opcję Zaawans. Wszystkie zmiany pozostają wirtualne, dopóki nie zastosujesz ich za pomocą przycisku Zastosuj lub polecenia menu kontekstowego Zastosuj partycjonowanie. Operacje zapisu należy potwierdzić lub włączyć opcją Zezwól na zapis w parametrach urządzenia. Zobacz także sekcję Zarządzanie zmianami.

Zarządzanie partycjami obsługuje modyfikacje, które zmieniają tylko tabele partycji i sektory rozruchowe bez dotykania zawartości partycji. Obejmują one usuwanie i przywracanie partycji, przywracanie sektora rozruchowego z jego kopii oraz inne podstawowe operacje.

Okno dialogowe "Partycje"

Po wybraniu pola wyboru znajdź szybkie wyszukiwanie za utracone i usunięte partycje jest wykonywana. W przypadku bardziej skomplikowanych i głębsze wyszukiwanie, użyj Pełne skanowanie. Woluminy otwarty po Pełne skanowania są dodawane do listy znalezionych partycji (np. odzyskiwanie jest możliwe, jeżeli ważne sektory startowe znajduje).

Aby nie uruchomić ekspresowej wyszukiwania, partycji odznacz pole Pokaż partycje przy otwarcie urządzenia lub zabudowania macierzy RAID.

Pola wyboru trybu informacji:

  • znajdź: wyświetlanie znalezionych partycji
  • tablice: wyświetlenia tablic partycji AMBR i GPT
  • GiB: pokaż rozmiary w jednostkach binarnych
  • szczegóły: wyświetlanie kilku linii na partycji zgodnie z źródła informacji

(A) - startowy (aktywne) stan partycji (kolumna Particja).

Wskaźniki wykazuje obecności struktur:

  • T – tablica partycji
  • E – wpis w tablicy
  • B – sektor rozruchowy woluminu
  • C – kopia sektora startowego/tabeli GPT
  • F – Struktury podstawowe FS (na przykład, plik pierwszy rekord MFT dla NTFS)
  • f – MFTMirr dla NTFS
  • x – struktura jest nieobecny lub uszkodzony

Czerwony kolor wskazuje błędy w partycjonowani. Niektóre błędy podziału może być ustalona przez usuwanie i wstawianie partycji.

Użyj przycisk Menu, aby wywołać menu z operacji dostępnych dla wybranej partycji.

Otwórz wolumin

Otwórz wolumin, aby wyświetlić i odzyskać pliki.

Otwórz parametry woluninu

Zobacz i ręcznie edytować parametry woluminu, zanim faktycznie otwartym.

Pokaż litery woluninów

Wyświetlanie litery woluninów nadany przez OS.

Pełne skanowanie

Pełne skanowanie

Utwórz Obraz/Klonuj...

Wywołać okno dialogowe Skopiuj sektory do tworzenia obrazu partycji lub klonowania partycji.

Wstaw partycje (Undelete)...

Wstaw utracone lub usunięte wolumen do tabeli partycji. Nieprawidłowy partycji może uniemożliwić wstawiania, więc muszą być usunięte przed wstawiania. Całkowicie uszkodzone partycje mogą być resetowane za pomocą komendy Wstaw/usuń sygnaturę MBR stosowane do najwyższego elementu. Należy dodać partycje od początku do końca dysku.

Usuń partycje...

Usuń istniejących partycji lub tablicy partycji.

Tworzenie partycji RAW...

Tworzenie niesformatowany (RAW) partycji w nieprzydzielone miejsce. Jeśli nie ma błędów partycjonowania zalecane jest używać tylko standardowych narzędzi systemu do tworzenia i usuwania partycji.

Przywrócenie sektora rozruchowego z kopii...

Wymienić uszkodzone boot sektora z kopii zapasowej.

Aktywuj/dezaktywuj partycje jako startową...

Ustawić lub zresetować aktywny (A) status partycji rozruchowej.

Wstaw/usuń sygnaturę MBR/Boot... (MBR On/Off)

Ustawić lub zresetować podpis sektora rozruchowego (0xAA55).

Zresetuj GPT + MBR podpisy (GPT Off)

Zresetować podpis sektora rozruchowego (0xAA55) i podpisy tabel GPT (EFI PART).

Ustaw GPT + MBR podpisy (GPT On)

Ustawić podpisy GPT i startowych. Dostępne tylko na dyskach GPT po zresetowaniu.

Napisz sektorów startowych

Dodać DOS dysku startowego.

Cofnij działanie

Cofnąć ostatnie działanie.

Redo działanie

Powtarza cofnięte działanie.

Cofnij zmiany partycjonowania

Cofnij wszystkie zmiany partycjonowania.

Zresetuj wszystkie zmiany

Resetowanie wszystkich niestosowania zmian.

Załadować z pliku...

Załaduj partycjonowania dysku lub dane wycofania z pliku. Zobacz zmiany w szczegółach.

Zapisz bieżące partycjonowanie do pliku...

Zapis aktualnego partycjonowania do pliku dla kopii zapasowych. Dostępne tylko wtedy, jeśli urządzenie jest podzielony i nie ma niezastosowanymi zmian.

Zastosuj partycjonowanie...

Napisz zmian partycjonowania do dysku. Zobacz stosowania zmian do szczegółów.


DMDE - Pełne skanowanie

Spis treści · Praca · Menu · Narzędzia

Pełne skanowanie

Raw File Search

Kompleksowe metody wyszukiwania umożliwia znajdowanie i odbudowy w pamięci strukturze katalogów uszkodzenia systemu plików lub znaleźć utraconych plików znanych typów przez podpisów, jeśli nie może być stosowany system plików.

Jeśli system plików nie jest poważnie uszkodzony, to znaleźć wolumin mogą być otwarte przed zakończeniem skanowania. Przy wyborze wolumenu można kierować się wskaźnikami jakości i innymi parametrami (szczegóły znajdują się poniżej).

Przed rozpoczęciem pracy ze specjalnymi rodzajami nośników (RAID / woluminy z dzieleniem (striping), zaszyfrowane nośniki, obrazy dysków) należy zapoznać się z odpowiednimi instrukcjami (w sekcji otwarcie woluminów), w przeciwnym razie Pełne skanowanie da nieprawidłowe wyniki system plików, jeśli po prostu uruchomisz na poszczególnych dyskach źródłowych. W przypadku zwykłej partycji zaleca się otwarcie fizycznego urządzenia i zeskanowanie obszaru partycji (łącznie z wszystkimi możliwymi obszarami zajmowanymi przez partycję) zamiast próby pracy z uszkodzonym dyskiem logicznym. Oprogramowanie może odczytać poza wybranym obszarem, jeśli jest to konieczne.

Dla tego samego wolumenu można podać różne warianty, które są użyteczne tylko w najbardziej złożonych przypadkach (takich jak przerywana transformacja system plików: ruch / podział / scalanie / zmiana rozmiaru / zmiana rozmiaru klastra lub łączone woluminy). W takich przypadkach niektóre pliki można odzyskać poprawnie z jednego wariantu wolumenu, a inne z innego, mimo że te same pliki mogą być widoczne w obu wariantach wolumenu. Otwórz wybrany wariant jako wolumin i odzyskaj pliki. Jeśli brakuje plików lub są one odzyskiwane niepoprawnie, należy kontynuować skanowanie lub spróbować innego wariantu.

Otwórz wolumin | Otwórz woluminu wybranego z listy.
Zapisz... | Zapisz dziennik skanowania do pliku.
Otwórz... | Załaduj dziennik skanowania z pliku (kontynuacja poprzednich skanowania lub wykorzystanie wcześniejszych wyników wyszukiwania).
Start/Stop | Start/stop skanowania. Jeśli parametry skanowania nie zostaną zmienione skanowania będzie kontynuowana.
Parametry | Obszar skanowania, FS, parametry do zbierania danych i obliczania woluminów. Jumping scan - skanowania prowadzić selektywnie w całym dysku stopniowo pokrywającego cały obszar skanowania. Pozwala to na znalezienie woluminów bez wcześniejszego pełnego skanowania. Woluminy z dużej liczby plików znajdowane są w pierwszej kolejności.
Log-file | Options to save the scan state and results automatically to a file
Menu | Poza tym, pozwala na zmianę kolejności sortowania głośności.

Kolumny % i Zgodne pozwalają na oszacowanie jakości odzyskiwania danych z znalezionego wariantu woluminu (procent i liczba prawidłowych połączeń - the percentage and number of correct interconnections between FS structures and files found by signatures for NTFS, exFAT, HFS; and for other file systems only FS structures are checked).

Min. rozmiar jest minimalny rozmiar woluminu, zawierający wszystkie pliki najlepszych blokach systemu plików woluminu.

Kolumna Wskaźniki pokazuje brak (uszkodzenia) ("-") lub obecność ("+") odpowiedniej konstrukcji FS (B/C - sektor rozruchowy / kopia; dla FAT: F - tablica FAT/kopia, R - katalog główny).

Wyszukiwanie plików Raw

Sygnatury / podpisy plików są używane w ostateczności w celu znalezienia utraconych plików, gdy odzyskanie przez systemy plików (powyżej) nie jest możliwe. Dodatkowo podpisy plików są wykorzystywane jako punkty odniesienia do obliczenia woluminów NTFS, exFAT, HFS. Służą również do oznaczania i filtrowania plików znalezionych zarówno przez system plików, jak i przez sygnatury, czyli pliki z dużym prawdopodobieństwem odzyskania (patrz ikony panelu plików).

Raw wyniki są dostępne w katalogu $Raw w panelu plików po otwarciu woluminu. Aby wykluczyć wyniki znalezione przez system plików otwartego woluminu, możesz użyć symbolicznego katalogu $Raw - Filtr wyniki Raw (funkcje mapy klastrów są używane do określania i wykluczania miejsca zajmowanego przez pliki).

Zwykle nie ma powodów, aby otwierać wyniki Raw pojedynczo, gdy zostaną znalezione woluminy FS powyżej.

W przypadku niektórych wbudowanych typów plików kolejne fragmenty można łączyć w jeden plik, więc liczba plików w panelu plików może być mniejsza niż w wynikach skanowania.

Dodawanie nowych typów plików

Oprócz wbudowanych typów plików i odpowiednich sygnatur, możliwe jest dodawanie nowych typów przez użytkownika (tylko jeśli te typy mają unikatowe podpisy): Pełne skanowanie (parametry) - Raw: Podpisy plików - Dodaj.

W prostych przypadkach możliwe jest automatyczne obliczanie podpisu nowego typu na podstawie przykładowych plików. Należy nacisnąć przycisk "..." i określić możliwe rozszerzenia (oddzielone przecinkiem) i ścieżkę, w której znajdują się pliki robocze potrzebnego typu. Jeśli odzyskiwanie odbywa się z aparatu, możesz pobrać inne zdjęcie / wideo na nowy nośnik w tym samym formacie, aby uzyskać przykładowe pliki.

The option use for FS calculation enables checking interconnections between FS structures and files found by the signature. Additionally the files in the FS will be marked in a File Panel as found also by a signature (or not found).
Multiple comma separated Extensions may be specified for FS calculation.
Mark signature as reliable if it contains at least 4 different bytes at a fixed position (do not mark otherwise not to truncate other files if false positives happen).
File-container may contain other file types inside (mark in order not to truncate when other type files are met).
EOF Signature is an optional signature at the end of a file.


DMDE - Wybór urządzenia

Spis treści · Praca · Menu · Dysk

Wybór urządzenia

Wybierz dysk / obraz / plik dziennika do dalszej pracy lub wybierz inne zadanie.

Jeśli urządzenie nie jest dostępne lub ma nieprawidłowy rozmiar, zobacz Wymagania systemowe.

Aby uzyskać informacje na temat wyboru między opcjami Urządzenia fizyczne i Dyski logiczne, zobacz Otwieranie woluminu.

Przycisk Parametry umożliwia ustawienie interfejsu i innych parametrów we / wy urządzenia podczas pracy z urządzeniami powodującymi problemy.

Jeśli niektóre specjalne urządzenia w Linux nie są wymienione w oknie dialogowym, można je otworzyć za pomocą opcji Obrazy dysków i ręcznie wprowadzić ścieżkę do urządzenia, np. /dev/mmcblk0 lub /dev/mapper/truecrypt1.

Opcja Obrazy dysków / dzienniki umożliwia otwieranie plików obrazów dysków i ładowanie dzienników. Kliknij lub wciśnij Enter najwyższy element listy, aby dodać nowy obraz do dalszej pracy. Oprócz standardowych obrazów sektorowych obsługiwane są formaty VHD / VHDX i VMDK (bez obsługi kompresji / szyfrowania / zapisu); Wersja Professional obsługuje również obrazy E01 / Smart (z kompresją).

Jeśli chcesz otworzyć plik obrazu z niestandardowym / brakującym rozszerzeniem, musisz zmienić opcję filtru w otwartym polu pliku. W systemie macOS może być również konieczne kliknięcie opcji Szczegóły / Parametry.

Usuń zaznaczenie pola wyboru Pokaż partycje pole wyboru, aby wyłączyć auto otwarte i wyszukiwanie partycji.

Inne zadania

Możesz dodatkowo załadować zapisaną konfigurację RAID / dziennik obliczeń RAID lub dziennik pełnego skanowania za pomocą opcji Obrazy dysków / dzienniki.

Opcje Konstruuj RAID i Kopiuj sektory przekierowują do odpowiednich zadań.


DMDE - Parametry We/Wy dysku

Spis treści · Praca · Menu · Dysk

Parametry We/Wy dysku

Okno dialogowe We/Wy Skrypt obsługi We/Wy

Interfejs

Sposób dostępu do dysku/woluminu (może być ustawiony przy wyborze urządzenia).

RW Access: otwórz urządzenie z uprawnieniami do zapisu (specyficznymi dla systemu operacyjnego).

Zezwól na zapis: włączyć operacje zapisu dla urządzenia (globalny tryb tylko do odczytu musi być wyłączony).

IO FILE: użyj domyślnych funkcji systemu operacyjnego, aby uzyskać dostęp do dysków (najbardziej kompatybilny, ale może nie być optymalny dla awarie dysków, nie są obsługiwane w systemie DOS).

Windows OS

IO SCSI | Użyj sterownika SCSI
IO ATA | Użyj sterownika ATA
Overlapped | Zastosowanie Overlapped We/Wy (nie wpływa na We/Wy, nie zalecane).

DOS

  • ATA Interface (bezpośredni dostęp, korzystny sposób do uszkodzonych urządzeń, patrz wymagania)
    ATA Interface | Dla HDD/SSD
    ATAPI Interface | Dla CD/DVD
    use DMA | Szybszy dostęp DMA dla ATA (Professional Edition tylko)
    use LBA48 | Aby uzyskać dostęp do ponad 128 GiB
    raw CD access | Aby uzyskać dostęp do nie-cyfrowych CD
  • BIOS Services
    Old BIOS Service | CHS dostęp do 8.4GB
    Ext BIOS Service | LBA dostęp
  • DOS Services
    DOS Int 25/26 | DOS funkcje
    Win9x-FAT32 Calls | Nowe DOS funkcje
    MSCDEX Services | Dla CD/DVD
  • DOS ASPI (access for SCSI, USB, and other devices if ASPI drivers are present)

Błędy We/Wy

Sposób obsługi błędów wejść/wyjść.

Pomiń błędy We/Wy. Jeśli wystąpi błąd i opcja ta jest zaznaczona, to pracy We/Wy w dalszym ciągu po określonej ilośća ponowny prób. W przeciwnym wypadku po szeregu prób operacja zostanie zawieszone do wyborza użytkownika w oknie dialogowym We/Wy.

Nie czekaj, jeśli urządzenie nie jest gotowe. Jeśli opcja jest zaznaczona, to operacja We/Wy trwa nawet wtedy, gdy urządzenie nie jest gotowe. W przeciwnym wypadku reakcja użytkownika jest wymagane (okno dialogowe We/Wy).

zawsze: odnoszą się do przyszłych działań.
teraz: odnoszą się do bieżącej działalności.

Ilość ponowny prób przy błędzie CRC. Ilość dodatkowych prób We/Wy przed przejściem w tryb gotowości do reakcji użytkownika lub kontynuowanie pracy.

Wartość zero (0) oznacza brak dodatkowych prób, niniejszym reszty sektorów bloku po błędzie nie będą odczytywane do bufora We/Wy, a nawet więcej, cała zawartość bufora We/Wy może być niezdefiniowana w przypadku błędu dla niektórych urządzeń/sterowników.

Jeżeli wartość jest różna od zera to sektory są ponownie przeczytać jeden po drugim, aż do spotkania sektora błąd. Sektor zawierające błąd jest odczytu do liczby prób lub sektor jest odczytywany pomyślnie.

Zwiększenie liczby powtórzeń zwiększa się procent danych odczytanych ale zmniejsza żywotność urządzenia ze względu na duże obciążenie.

Ilość ponowny prób przy błędzie Seek. To samo dla błędow typu "sektor nie został znaleziony".

Błędu wejścia zakłada się błędu poszukiwania, jeśli zawartość bufora We/Wy nie zmienił się po We/Wy (lub jest wypełniony zerami). Zazwyczaj błędy poszukiwania znacząco spowolnić We/Wy i nie podlegają odzyskiwalny po dodatkowych prób.

Wzór do reprezentowania uszkodzonych sektorów (hex): 4-bajtowa wartość szesnastkowa (little-endian) do wypełnienia bufora danych podczas odczytu uszkodzonych sektorów (przy błędach we/wy).

Skakać przez sektory po błędzie. Liczbę sektorów, aby pomijać po nieodwracalne napotyka błąd.

Pominięte sektory będą wypełnione wartości. Jeśli istnieją obszary kolejnych uszkodzonych sektorów, to pomijanie znacznie skraca ładowanie urządzenia. Niniejszym procent danych odczytanych zmniejszy się, jeżeli są indywidualne uszkodzonych sektorów.

Czytać wstecz po skoku. Czytaj pominięte sektory do tyłu, źle spotkania uszkodzonego sektora.

Opcja jest niedostępna, jeśli liczba sektorów, aby przejść jest zbyt duży. Funkcja poprawia jakość odtwarzania danych po sektorach pomijanie jest używany.

Wzorzec do reprezentowania pominiętych sektorów (hex): 4-bajtowa wartość szesnastkowa (little-endian) do wypełnienia bufora danych dla pominiętych / przeskoczonych sektorów.

Dodatkowe parametry

Ilość sektorów w buforze We/Wy. Maksymalną liczbę sektorów przekazywane w formie jednego bloku We/Wy.

Timeout, msec. Czas (w milisekundach) oczekiwania na odpowiedź urządzenia (tylko DOS ATA Interface).

SCSI timeout, s. Limit czasu dla SCSI sterownik We/Wy. (tylko interfejs IO SCSI).

Zaktualizuj uchwyt urządzenia / listę urządzeń w przypadku błędu: może być potrzebne, jeśli urządzenie zostało odłączone.

Ponów operację We/Wy na połączeniu urządzenia: automatycznie wznowić działanie po ponownym podłączeniu urządzenia (tylko GUI systemu Windows).

ATA soft reset, jeśli zajęty. Wykonaj ATA soft reset, jeśli urządzenie jest zajęte, po przekroczeniu tego limitu (tylko DOS ATA Interface).

Timeout ATA soft reset, ms. Czas oczekiwania na gotowość urządzenia po ATA soft reset (tylko DOS ATA Interface).

Skrypt... Skrypt obsługi We/Wy

SMART: show SMART report.


DMDE - Okno dialogowe We/Wy urządzeńia

Spis treści · Praca

Okno dialogowe We/Wy urządzeńia

Parametry We/Wy Skrypt obsługi We/Wy

Jeśli wystąpi błąd podczas We/Wy urządzenia a następnie pojawi się okno dialogowe, w którym można wybrać sposób obsługi błędu. Uwaga! Przeczytaj informacje o użyciu uszkodzonego urządzenia.

Wyświetlane są następujące informacje: [W] oznacza, że wystąpił błąd podczas zapisywania w urządzeniu, LUN - numer dysku w wirtualnym RAID, numery sektorów, w których wystąpił błąd, numer próba, numer błędu i opis błędu. Po kilku próbach (określone przez parametry) program czeka na reakcję użytkownika (chyba, że pomijanie błędów trybie w parametrach jest zaznaczona), a przycisk Ponów staje się aktywny. Pojawi się okno dialogowe wcześniej blok danych będzie przetwarzany.

Przerwij: przerwij bieżącej operację We/Wy.

Naciśnięcie Przerwij powoduje sektory błędów nie zostaną skopiowane do miejsca przeznaczenia (zachowanie to może ulec zmianie w przyszłych wersjach). Przycisk jest nieaktywny, jeśli operacja nie może być przerwana.

Ponów: spróbuj ponownie We/Wy.

W niektórych przypadkach możliwe odczytać sektora i nadal bez zniekształceń danych po kilku próbach. Przycisk jest nieaktywny podczas We/Wy jest w toku.

Ignoruj: kontynuacja pracy ignorując błąd.

Obecne działania będą kontynuowane, ale najprawdopodobniej z zniekształcenie danych. Podczas czytania struktur systemu plików może spowodować utratę niektórych plików i uszkodzenie struktury katalogów.

Ignoruj wszystkie: kontynuacja pracy ignorowanie wszelkich podobnych błędów.

Po kilku próbach (określone przez parametry) program nie czeka na wyborem użytkownika, ale zignorować błąd i kontynuować bieżącą działalność.

Aktualizuj: update the list of devices, and update the device handle. Użyj dodatkowego parametrг, aby ponownie otworzyć uchwyt urządzenia przy błędzie w celu automatycznego ponownego otwarcia każdego błędu.

ATA reset: wykonaj ATA soft reset. Dostępne tylko, jeśli urządzenie jest otwarte przez ATA interface w systemie DOS.

Parametry: ustawienia We/Wy urządzenia

Potwierdź, Anuluj: służy do zmiennej %CONFIRM% w Skrypte obsługi We/Wy urządzenia


DMDE - Skrypt obsługi We/Wy dysku

Spis treści · Praca · Menu · Dysk

Skrypt obsługi We/Wy dysku

Parametry We/Wy Okno dialogowe We/Wy

Skrypt ten może być używane do logowania błędów We/Wy i rozszerzone przetwarzanie błędów (w tym połączeń zewnętrznych programu). Ta funkcja jest dostępna w Professional Edition tylko.

Skrypt może być załadowany lub zmodyfikowane przez parametry We/Wy urządzenia (przycisk Skrypt).

Plik ondevhsc.txt zawiera krótki opis dostępnych komend i kilka przykładowych skryptów.

Możliwe linii skryptu są w postaci:
IF WARUNEK KOMENDA
lub
KOMENDA
lub
:LABEL

gdzie WARUNEK jest nierówności lub równości (!=, >, <, >=, <=, =) dwóch ilości, i ilość jest albo stałą liczbą całkowitą (0, 1, ...) lub zmienna (lista poniżej) lub proste wyrażenie matematyczne (operatorów +, -, *, %, /, bez nawiasów, ignorując matematyczny porządek z operatorów), np. %ERROR%=0

Komentarze są poprzedzane przez dwa minusy (--)

Zmienne

Wszystkie są od zera
-- %CONFIRM% - =1 jeśli Potwierdź naciśnięciu, =0 jeśli Anuluj przycisku
(okno dialogowe czeka na wybór użytkownika)
-- %DISKNUM% - numer dysku w macierzy RAID
-- %TRYNUM% - numer próba
-- %LBA% - numer pierwszego sektora We/Wy
-- %SECNUM% - liczba sektorów
-- %ERROR% - numer błędu
-- %ATASTATUS% - ATA Status Register (zdefiniowany, jeśli BSY bit jest wyzerowany, DOS ATA tylko)
-- %ATAERROR% - ATA Error Register (zdefiniowany, jeśli ERR bit %ATASTATUS% jest ustawiony)
-- %LINE% - bieżący numer linii w skrypcie
-- %SERVICE% - typu usługi We/Wy:
-- 0-ATA 1-ATAPI 3-BIOSINT13OLD 4-BIOSINT13
-- 5-DOSINT25 6-DOSINT73 7-DOSASPI 8-DOSMSCDEX 9-DOSFILE
-- 11-WINFILE 12-WINSCSI 13-WIN9XINT13 14-WINATA
-- 20-LINUXFILE 21-LINUXSCSI
-- %LASTRES% - wynik z poprzedniego komendy
-- %LASTERR% - błąd z poprzedniej komendy

Komendy

-- SHOWDLG - życie okno wyskakujące We/Wy urządzenia
-- WAIT - oczekiwanie na wybór użytkownika
-- DELAY N - opóźnienie N ms
-- EXECCMD CMDLINE - wykonywanie zewnętrznych komendu CMDLINE za pomocą interpretera komend
(czyli "cmd CMDLINE" w systemie Windows)
-- EXECCMDQ CMDLINE - wykonać bez tworzenia nowego okna konsoli
-- EXEC "FILENAME" CMDLINE - wezwanie zewnętrznego program FILENAME z parametrem CMDLINE
-- EXECQ "FILENAME" CMDLINE - wezwanie bez tworzenia nowego okna konsoli
-- MSDOS - wezwanie procesoru komen (nie są obsługiwane w systemie Linux)
-- GOTO LABELNAME - skok do etykiety LABELNAME w skrypcie (do linii :LABELNAME)
-- RETURN - skrypt przerwie, obsluga błędu zgodnie z parametrami We/Wu urządzenia
-- RETRETRY - skrypt przerwie jak wciśnięty Ponów przycisk
-- RETIGNORE - skrypt przerwie jak wciśnięty Ignoruj przycisk
-- RETABORT - skrypt przerwie jak wciśnięty Przerwij przycisk
-- ADDLOG "FILENAME" LOGLINE - napisz LOGLINE do pliku FILENAME
(LOGLINE łańcuch może zawierać zmienne)
-- CANCELIO - wezwanie CancelIO (WinNT + tylko)
(dostępna, jeśli urządzenie jest otwarte z overlapped się opcja)
-- OVLRESLT N - sprawdź wynik Overlapped-operacji (N=1: czekać; N=0: nie czekać) (WinNT+ tylko)
(muszą być używane, jeśli urządzenie jest otwarte z overlapped opcja)
-- RESETHANDLE - otwórz ponownie uchwyt dysku
-- RESETDEVLIST - update the list of devices, reopen disk handle
-- ATARESET - ATA Soft Reset (DOS ATA tylko)
-- ATARESETDET - ATA Soft Reset i ATA Identify (DOS ATA tylko)

Specyfikatory formatu

-- Aby cyfrowy format wyjściowy nazwy zmiennej może nastąpić
-- przez format specyfikatora po dwukropku, np.
-- %LBA:8x% - szerokość: 8, szesnastkowy

Przykład skryptu

IF %ERROR%=0 RETURN -- wyjść jeśli nie błąd na We/Wy
IF %ERROR%=128 GOTO LABEL1
IF %ERROR%=5 GOTO LABEL1
RETURN

:LABEL1
IF %CONFIRM%=0 RETRETRY -- spróbuj ponownie , jeśli przycisk Anuluj jest wciśnięty
-- kontynuować wykonywanie skryptu, jeśli Potwierdź jest wciśnięty
EXECCMD /K ECHO error %ERROR% at LBA: %LBA% (%SECNUM%) try: %TRYNUM%. Wpisz EXIT aby powrócić.
IF %TRYNUM%<2 RETRETRY
DELAY 500
ADDLOG "C:\ERRORS.LOG" error %ERROR:x% at LBA: %LBA:10% (%SECNUM%) try: %TRYNUM%
RETIGNORE


DMDE - Kopiuj sektory

Spis treści · Praca · Menu · Narzędzia

Kopiuj sektory

Praca z uszkodzonymi urządzeniami Otwieranie obrazów dysków

Narzędzie do tworzenia i przywracania obrazów dysków, klonowania całych dysków, tworzenia zrzutów.

Po wybraniu pliku jako miejsca docelowego zostanie utworzony plik obrazu.

Jeśli zamiast tego wybierzesz dysk/partycję jako miejsce docelowe, zapis zostanie wykonany bezpośrednio na dysk, wszystkie dane na dysku docelowym zostaną nadpisane, docelowy system plików zostanie usunięty.

Jeśli zapiszesz coś na dysku zawierającym utracone dane (np. nałożenie poprawki), może to spowodować dalszą utratę danych.

Źródło i docelowy

Dysk | Wybierz urządzenie, logiczne dysku (wolumen), obraz, RAID jako źródłowych/docelowych sektory
Partycje | Wybierz partycję jako źródłowych/docelowych sektorów (przycisk Urządzenie, aby wybrać dysk)
 | Aby wybrać cały urządzenia/dysku/RAID kliknij dwukrotnie najwyższej pozycji na liście partycji
Plik | Użyj pliku jako źródłowy/docelowy bajtów (lub Urządzenie · Plik obrazu, aby używać plik jako źródłowe/docelowe sektory)
Edytor | Użyj obiekt otwarty w Edytorze Disku jako źródła bajtów
Wybrane | Użyj wybranego bloku obiektu Edytorze Disku jako źródło bajtów

Źródłowy Początkowy sektor/bajt, Końcowy sektor/bajt, Liszba sectorów/Rozmiar w bajtach są wypełniane automatycznie przy wyborze źródła za pomocą przycisków. Pola mogą być zmieniane ręcznie w celu określenia przesunięcia i wielkość porcji do skopiowania.

Docelowy Początkowy sektor również wypełniane automatycznie przy wyborze docelowego obiektu za pomocą przycisków Urządzenie, Partycje. Początkowy sektor jest określona w stosunku do początku wybranego obiektu docelowego.

The button Split allows splitting the destination file into parts. A RAID configuration raidinfo.ini is also created to open later the splitted image or to continue writing the splitted image (to specify/open using Device - Disk Images / Logs).

Kiedy Edytor lub Wybrany jest używany jako źródło to niektóre błędy (np. nieprawidłowa klastra lub numerów sektorów) zostaną zignorowane.

Parametry

Plik dziennika może być wykorzystywane do śledzenia już skopiowane zakresy i uzyskania numerów sektorów z błędami. Numery sektora są bezwzględne do urządzenia źródłowego.

Opcja "Użyć dziennik dla kontynuowania" mogą być używane do dalszego kopiowania automatycznie z ostatniej pozycji (opcja jest dostępna tylko w wersji Professional Edition). To także może być używany do kopiowania multi-pass w kilku przechodzi (w tym niesekwencyjnej kopiowania w różnych kierunkach), aby kopiować pominięty sektory poprzedni przechodzi.

Opcja "Ponów uszkodzonych sektorów z dziennika" może być użyty, aby ponowić próbę kopiowania uszkodzonych sektorów z dziennika, gdy wszystkie pominięte sektory są już skopiowane (dostępno tylko w Professional Edition). Dziennik nie może być wykorzystywane do dalszego kopiowania uszkodzonych sektorów (na każdym przechodzi uszkodzony sektory zostały skopiowane od początku).

Wyczyść bufor dziennika gdy skopiowano liczba sektorów: aktualizacja pliku dziennika regularnie, gdy liczba sektorów jest kopiowany.

Przycisk "Parametry" pozwala skonfigurować parametrów We/Wy do obsługi błędów. Zmiana niektórych parametrów (Skakać przez sektory, ilość ponowny prób, ilość sektorów w buforze We/Wy) przy użyciu dziennika dla kontynuowania kopiowania może spowodować kopiowanie poprzednio pominiętych sektorów (np. jeśli zmniejszyć parametru Skakać przez sektory).

Kopia odwrotny: kopiowanie od końca do początku. Być może przydatne przy tworzeniu obrazu dysku z uszkodzonymi sektorami.

W dwóch wątkach: wykonywać operacje odczytu i zapisu w równoległych wątków w celu zwiększenia prędkości. Nie należy używać opcji dla kopiowania dysków z błędami.

Pole Kontynuować od sektora/bajt określa pozycję do dalszego kopiowania. Pozycja jest w stosunku do początku źródłowego. Podczas kopiowania w odwrotnym kierunku, kopiowanie rozpoczyna previos do określonej pozycji i idzie do tyłu (np., jeśli ustawione na 10 ówczesnego sektora, 9 zostanie skopiowana pierwsza i kopiowanie będzie przejść na początek).

Opcja Zablokuj źródło dla kopii jest do blokowania woluminy znajdujące się na obszarze źródłowym, aby zapobiec modyfikacji źródła podczas kopiowania (tylko w systemie Windows).

Menu

Zapisz / Załaduj: zapisz / załaduj ustawienia do pliku / z pliku.

Eksportuj dziennik do pliku mapy ddrescue: przekonwertuj plik dziennika do formatu pliku mapy ddrescue.

Eksportuj błędne i pominięte zakresy z dziennika: pobierz listę uszkodzonych i pominiętych sektorów. Lista może być następnie wykorzystana do uzyskania informacji o uszkodzonych plikach znajdujących się w uszkodzonych sektorach (zobacz Odzyskiwanie danych).


DMDE - Macierze RAID

Spis treści · Praca · Menu · Dysk

Macierze RAID

Okno dialogowe "Konstruuj RAID"

Menu - Dysk - Wybierz dysk - Konstruuj RAID

Narzędzie do budowy wirtualnych macierzy RAID z indywidualnych pojedynczych dysków (lub partycji i obrazy), gdy nie jest możliwe zastosowanie standardowych narzędzi kontrolera (RAID) lub systemu operacyjnego (sprzętowe RAID).

Jeśli konieczne, dyski muszą być odłączone od kontrolera RAID i podłączone do komputera jako pojedynczych dysków.

Nieprawidłowy wybór typu RAID lub rotacji danych prowadzi do niewłaściwego odzyskiwania danych (mimo, że struktura katalogów może być zrekonstruowana poprawnie).

Typy RAID

RAID-0. Zwykle zawiera dwa dyski, na których informacje są zapisywane na przemian bloki (stripe). Jeśli jeden dysk jest nieobecny tylko niewielkie pliki, które pasują do jednego bloku mogą być odzyskane.

RAID-1. Zwykle składa się z dwóch dysków, dane są duplikowane. Rozmiar paska nie jest używany. Obsługiwane w trybie tylko do odczytu. Jeden healphy dysku może być otwarty jako pojedyncze urządzenie bez utraty danych.

RAID-4. Zwykle składa się z trzech dysków. Jeden dysk jest na parzystości. Dane są na przemian dyski odpoczynku. Możliwe jest odzyskiwanie wszystkich danych, bez jednego z dysków. Użyj Pusty dysk zamiast nieobecnego urządzenia.

RAID-5. Zwykle zawiera trzy dyski (lub więcej). Dane są na przemian wszystkie dyski niniejszym jeden blok parzystości na bloki pozostałych danych. Istnieją cztery rodzaje obrotu danych na RAID-5. Niektóre RAID (uzwykle sprzętu) może opóźnić parzystości (delayed parity). Możliwe jest odzyskiwanie wszystkich danych bez jednego z dysków (które powinny być zastąpić z Pustym dyskiem).

RAID-6. Zazwyczaj składa się z czterech dysków (lub więcej). Jest ona podobna do RAID-5 z wyjątkiem tego, że dwa bloki parzystości (różne typy) są stosowane. Jedynym rodzajem parzystości jest obsługiwane tak, tylko jeden dysk może być zastąpione pustym dysk. Obsługiwane w trybie tylko do odczytu.

RAID: Custom rotation. Striping na zamówienie może zostać określony (Menu - Striping...). Używaj liczb całkowitych od 0 do określenia bloków danych zgodnie z ich kolejnością na dyskach, -1 określić XOR-parzystości blok i -2 określić nieużywany blok.

Na przykład: |  |  |  | => | Specify striping as:
Dysk#0 | Dysk#1 | Dysk#2 | Dysk#3 |  |
A1 | A2 | Ap | Aq |  | 0 1 -1 -2
B1 | Bp | Bq | B2 |  | 2 -1 -2 3
Cp | Cq | C1 | C2 |  | -1 -2 4 5
Dq | D1 | D2 | Dp |  | -2 6 7 -1

JBOD/Spanned. Just związane dysków, które są wykorzystywane jako jeden ciągły dysku. Nie ma przemian danych, rozmiar paska nie jest używany. Danych znajdujących się na dowolnym dysku zostaną utracone jeżeli dysk jest nieobecny. JBOD jest obsługiwana w trybie odczytu/zapisu.

Parametry RAID

Rozmiar Stripe: rozmiar bloku danych obrótu wielkości. Nie używany w RAID-1, JBOD
Delay: stosowane w RAID-5/6 z opóźnionym parzystości tylko
Offset: przesunięcie rozpoczęcia danych na dysku (zazwyczaj stosowanych w programach RAID)
Offset i Rozmiar: przesunięcie partycji i rozmiar
Pusty disk: jest używana zamiast dysku nieobecny lub uszkodzony
Striping...: ręcznie określić striping do Custom RAID
Zapisz/Załaduj: zapisz / załaduj konfigurację RAID
Czytaj dalej: poprawić wydajność macierzy RAID o małym rozmiarze paska (niezalecane na dyskach ze złymi sektorami).


DMDE - Panel plików

Spis treści · Praca

Panel plików

Panel plików wyświetla strukturę katalogów wirtualnych i umożliwia przeglądanie katalogów i wybór elementów do odzyskania lub otworzyć je w Edytorze Dysku. Należy otworzyć woluminu by uzyskać dostęp do panelu plików.

Otwórz katalog wirtualny [Wszystkie znalezione / wirtualny FS] dla wirtualnej rekonstrukcji systemu plików i wyświetli wszystkie znalezione i usunięte pliki i katalogi. Wyniki pełnego skanowania są wykorzystywane dla rekonstrukcji.

Aby odzyskać pliki oznaczone jako "znalezione" lub "usunięte" (zobacz opis ikonę poniżej) odpowiednie opcje muszą być wybrane w okne dialogowym odzyskiwanie danych.

Struktura katalogów jest wirtualny i może odbiegać od tego, który można znaleźć bezpośrednio na dysku lub w standardowej przeglądarki. Wirtualne nazwy są w nawiasach kwadratowych lub zaczynają się znakiem $ i umieszczane są zazwyczaj na najwyższym szczeblu w strukturze katalogów. Wirtualny katalog $Root na ogół odpowiada głównym katalogu woluminu w standardowej przeglądarki.

Naciśnij [F2]/[Shift+F9]/[Shift+F10] lub kliknij prawym przyciskiem myszy pozycję do menu kontekstowego.
Naciśnij [Enter] lub kliknij dwukrotnie, aby otworzyć katalog, lub otworzyć plik w Edytorze lub do podglądu.
Naciśnij [Ctrl+Enter] aby otworzyć element w Edytorze disku.
Naciśnij [Wstaw] lub [Spacja] lub kliknij pole wyboru, aby włączyć oznaczenia pozycji do odzysku.

File Attributes

E/C/s: encrypted/compressed/sparce (NTFS)
D: directory
R/H/S/A: hidden/read only/system/archive
x/f: "removed"/"found"

File Icons

GUI | Console | Icon Description
dir | [.] | normalny katalog zawierający pliki
light dir | [ ] | normalny katalog nie zawierający pliki
dir brown dot | [x] | katalog zawierający usunięte pliki
dir blue dot | [f] | katalog zawierający "znalezione" pliki
dir blue dot brown dot | [x} | katalog zawierający usunięte i "znalezione" pliki
dir trash | (x) | usunięty katalog
dir trash cyan dot | (f) | usunięty katalog zawierający "znalezione" pliki
dir trash brackets | (.] | usunięty katalog zawierający nie usunięte pliki (jakiś błąd systemu plików)
cyan dir trash mark | (f] | usunięty katalog zawierający nie usunięte i "znalezione" pliki (błąd FS)
cyan dir | {f} | "znaleziony" katalog (numer bloku w nawiasach kwadratowych)
cyan dir yellow dot | {.} | "znaleziony" katalog zawierający normalne pliki
cyan dir brown dot | {x} | "znaleziony" katalog zawierający usunięte pliki
cyan dir yellow dot brown dot | {.) | "znaleziony" katalog zawierający normalne i usunięte pliki
cyan dir trash | (x} | "znaleziony" usunięty katalog
cyan dir trash yellow dot | (r} | "znaleziony" usunięty katalog zawierający normalne pliki
cyan dir trash mark | (f} | "znaleziony" usunięty katalog zawierający nie usunięte pliki
cyan dir trash mark | (.} | "znaleziony" usunięty katalog zawierający nie usunięte i normalne pliki
plik | . | normalny plik
file top left green bottom red | +. | [normalny] plik FS również znaleziony przez podpis
file top left green bottom red | -. | [normalny] plik FS nie został znaleziony przez podpis w odpowiedniej lokalizacji dysku, może plik uszkodzony / niewłaściwy typ / nie rozpoznan
cyan plik | f | "znaleziony" plik (nazwa następuje numer bloku w nawiasach kwadratowych, [J] oznacza dziennika FS)
plik trash | x | usunięty plik
cyan plik trash | xf | "znaleziony" usunięte plik
file top left green | +. | plik znaleziony przez podpisu (Raw)
file top left bottom right green | +.+ | plik znaleziony przez podpisu, podpis końcu (EOF) znaleziono
file top left green bottom right red | +.- | plik znaleziony przez podpisu, podpis końcu nie znaleziono
file top left green bottom red | +.~ | plik znaleziony przez podpisu, rozmiar jest wykrywany, ale prawdopodobnie fragmentowany lub częściowo zastąpiony
file top left green bottom red | .+ | plik znaleziony przez podpisu końcu
dir cyan triangle | [>] | katalog nie jest w pełni zeskanowany
file seam | |.| | wirtualny katalog zawierający fragmenty pliku zajmuje kilka plików MFT
blue dir | [.] | $MetaData - wirtualny katalog zawierający specjalne pliki systemu plików
blue dir | [.] | $NonameFiles: zawiera pliki, których nazwy i rodzice są tracone
cyan dir | {f} | $Raw: zawiera pliki, znalezione przez podpisu
file | . | FileName:StreamName - alternatywne strumienie danych pliku NTFS (wyświetlane po rekonstrukcji FS)


DMDE - Edytor dysku

Spis treści · Praca

Edytor dysku

Edytor dysku umożliwia przeglądanie i edytowanie obiektów na dysku, takich jak sektory, pliki i inne struktury systemu plików i dysków w trybach szesnastkowym i sformatowanych (strukturalnych), w tym stosowania niestandardowych szablonów do analizowania danych.

Przeczytaj ostrzeżenie na tym łączu przed zastosowaniem zmian na dysku.

Wybierz obiekt do edycji
  • za pomocą menu Edytor, aby wybrać obiekt dysku lub systemu plików lub przejść do określonej pozycji
  • używać Panel plików, aby wybrać plik lub katalog (prawy przycisk myszy na menu kontekstowym lub naciśnij [Ctrl+Enter])

Wybierz tryb wyświetlania (szablony): menu Tryb.

Włącz tryb edycji: menu Edycja - Tryb edycji [Ctrl+E]
Edycja plików NTFS jest obsługiwany tylko w trybie RAW.

Zastosuj zmiany: menu Dysk - Zapisz zmiany [Ctrl+W].

Używać menu Narzędzia dla dodatkowych funkcji:
• Kopiuj sektory... do napisać wybranego bloku lub całego obiektu do pliku.
• Wypełnij sectory... do wypełnić sektory o wzór.
• Wyszukaj ciąg znaków w obiekcie, aby wyszukać ciąg znaków w wybranym obiekcie.
• Szukaj szczególnego sektora, aby wyszukać struktury danych na dysku.

Żółty kolor tekstu w edytorze dysku wskazuje zmodyfikowany i nie zapisanych danych.
Szary kolor tekstu wskazuje nieużywane dane (niewykorzystanej części klastra, niewykorzystane wejścia, itp.).
Zielony kolor danych wskazuje błędy We/Wy podczas odczytu odpowiedniego sektora.
Red kolor tekstu wskazuje błędów logicznych w danych.


DMDE - Szablony edytora dysku

Spis treści · Praca · Menu · Tryb

Szablony edytora dysku

Oprócz wbudowanych szablonów, edytor dysku obsługuje niestandardowe szablony, aby przeglądać i edytować różne struktury dysku. Warunki, przejścia, proste arytmetyce można stosować do analizy złożonych struktur disku, takich jak rekordy MFT.

Standardowo szablony są ładowane z pliku template.txt. Aby korzystać z innych plików, ini-parametr mogą być stosowane editortemplates=, symbole wieloznaczne są dozwolone (na przykład, editortemplates=template*).

Struktura pliku szablonu

Każdy szablon zaczyna się od nazwy w nawiasach kwadratowych [Template Name], i dalsze parametry szablonu i instrukcji (jeden na linię).

Parametry szablonu

flow:0 - wyświetlić jeden rekord na raz. flow:1 - wyświetlić rekordy jeden po drugim.
big-endian:1 - use big-endian byte order.
h:Header - statyczny nagłówek Header.

Stałe

Stałe są określone jako dziesiętnych i szesnastkowym (z prefiksu 0x).

Zmienne

$RECSIZE - rozmiar rekordu
$RECDEVOFS - pozycja aktualnego rekordu na dysku (w bajtach od początku dysku)
$NEXTOFS - ... na blokach danych
$OFFSET - dodatkowe względne przesunięcia stosowany jest na blokach danych
$XOFS - dodatkowe przesunięcie kolumny dla wyjścia (patrz poniżej x:X)
$1 ... $4 - globalne zmienne użytkownika (64-bitowa liczb całkowitych)
$varname - a local variable (64-bit signed integer), where varname is case-sensitive and may contain digits, latin letters, and underscores. A local variable must be initialized with the assignment operator := and is valid only within the block of instructions where it is initialized.

Bloki danych

Data block is usually a single byte/word/dword at a fixed position but it also may be any range(s) of record bytes/bits which are processed as a single variable. Data block is specified in braces {...}.

{Z} defines range of Z bytes starting at offset $NEXTOFS (and $NEXTOFS is increased by Z then);
{X,Z} defines range of Z bytes starting at offset X,
{X:Y,Z} defines range of Z bits starting at offset X byte and Y bits,
where X, Y, and Z may be any variables or constants,
several ranges may be separated by a semicolon, e.g. {0x00,4;$1:$2,4}.

Formaty bloku danych

Format defines how data block is represented and edited (e.g. as integer / char / string, etc.).

The following formats are supported:
%u - unsigned integer (up to 64bit)
%d - signed integer (up to 64bit)
%X / %x - hexadecimal (up to 64bit)
%c - ANSI character (8bit)
C - array of ANSI characters
U - array of Unicode characters (UTF-16)
u - Łańcuch zakodowany w utf-8
T - array of text characters (depending on encoding table)
CXm - byte-by-byte hex output in multiple lines
UNIXDATE - Unix date (seconds since epox)
FILETIME - Windows file time (nanoseconds since 1601)
F:ABCD.. - Flags (where A is displayed if bit 0 set, and B if bit 0 clear, etc.)

Wyjściowe

Output instruction defines the position on the screen and format for a data block or variable or simply outputs text.

{...},x:X,w:W,c:C,Format outputs data block {...} at column X with the max. width W using the format Format.
x:X,w:W,c:C,Text outputs Text at column X with the maximum width W in color C. The Text can be enclosed in quotation marks ("Text").

w:W, c:C jest opcjonalny (0 - kolor domyślne, 1 - tytuł, 8 - czerwony, 10 - szary).
= (equal sign) specifies end of line (line feed).

Operatory i wyrażenia

Expression is a combination of variables, constants, data blocks, and operators (~, NOT; *, /, %; +, -; <<, >>; <, <=, >, >=; =, !=; &; ^; |; AND; OR), e.g.
$2+{0x08:$1,5}

Assignment operator := is used to copy the result of the expression to the variable, e.g.
$1:=$2+{0x08:$1,5}
$2:=$OFFSET & 8

Warunki, cykle i przejścia

Warunki

IF Expression1
... (instructions for performing if Expression1 result is true/non-zero)
ELSEIF Expression2
... (else instructions for performing if Expression2 result is true/non-zero, optional)
ELSE
... (else instructions for performing in other cases, optional)
ENDIF

Cykle

WHILE Expression3
... (instructions for performing while Expression3 result is true/non-zero)
go to the start of cycle:
CONTINUE
break loop:
BREAK
ENDWHILE

Przejścia

Line LABEL:N defines a label, and instruction GOTO:N is a jump to line LABEL:N, where N is any constant. Inaccurate use of GOTO may cause infinite loop.

Przełączniki i gorące linki

The switch instruction $1:=TOGGLE:N,x:X outputs a toggle box [+] ([-]) at the column X of the current output line, where N is a unique switch number (a variable or constant); and the variable $1 takes value 0 or 1 depending on the switch state (toggling is by clicking the box or by pressing [Spacebar] when focused). This allows changing the template output on the fly (e.g. to expand / collapse structures, where switch number N is convenient to set equal to the structure offset).

The hot link instruction $VAR=Param makes a current output line a hot link, i.e. allows jumping to an object offset / record / or to open another linked object in the editor window by double clicking a line (or by hitting [Enter] key when the line of focused). Param is an expression value used by a link (an offset, record, file number, sector, etc.) and $VAR can be one of the following:
$GOTOREC, $GOTORECOFS - go to the specified record number and record offset of the object
$GOTOOFS - go to the specified object offset
$OPENLBA - open the specified disk sector
$OPENDEVOFS - open the specified disk byte
$OPENVOLSEC - open the specified volume sector
$OPENCLUSTER - open the specified volume cluster
$OPENVOLPAGE - open the specified volume page / object id
$OPENFILENUM - open a file record by the specified number
$OPENFILENUMDATA - open file contents by the specified number
$OPENFILERECOFS - open a file by FS entry offset in the object
$OPENATTROFS - open a data stream by FS attribute entry offset in the object.
Optionally specify a template to apply to the opened object by the instruction:
$OPENTEMPLATE='{GUID}'; specify a template record offset: $OPENTEMPLOFS=Param.

Dodatkowe sekcje szablonu

Record size calculation: instructions between lines CALCSIZESTART and CALCSIZEEND. It is used when record size may be greater than the sector size and may depend on disk data. Variable $RECSIZE may be assigned in this section only.

Data preprocessing: instructions between lines LOADSTART and LOADEND. It is used e.g. for MFT USN processing (restoration of last two bytes of each sector). Data blocks may be assigned in this section: e.g., use {U,Y}:={X,Y} to copy Y bytes at offset X to offset U.

Data postprocessing: instructions between lines FLUSHSTART and FLUSHEND. It is used for reverse operation when writing modified data to disk (data blocks may be assigned).

Defines

Defines are used to replace repetitive blocks of instructions. The define can be declared in any template in the following way

DEFINE DefineTitle(%1%,%2%,...)
... (the define instructions where substitution variables %1%,%2%,... can be used)
ENDDEFINE

It may be used later in any template. On processing it will be replaced with the corresponding instructions and substituted variables:
DefineTitle($varname1,$varname2,...)


DMDE - Mapa klastrów

Spis treści · Praca · Menu · Narzędzia

Mapa klastrów (alokacja plików)

Raport mapy klastrów

Mapa klastrów pokazuje, które klastry woluminu są używane i do jakich plików należą. Użyj polecenia menu Okna · Mapa klastrów, aby wyświetlić / zamknąć mapę klastrów i Cluster Map Compact Mode, aby przełączać się między wyświetlaniem pojedynczych klastrów i całych fragmentów plików.

Aby korzystać z map klastrów pierwszy otwórz tom i aktualizuj mapu klastrów (menu Narzędzia).

Aby przejść do konkretnej położenie użyć komendy menu

  • Edytor-Klaster woluminu [Alt+C], aby przejść do konkretnego klastra woluminu
  • Edytor-Sektor woluminu [Alt+S], aby przejść do konkretnego sektora woluminu
  • Edytor-Sektor fizyczny [Alt+P], aby przejść do konkretnego sektora urządzenia

Aby to zrobić znajduje się tam użyć komendy menu

  • Editor-Mapa klastrów [Ctrl+M], aby otworzyć mapę klastrów w wybranym miejscu.
  • Editor-Dane pliku [Ctrl+Alt+F], aby otworzyć plik w wybranym miejscu.

Po otwarciu mapy klastrów [Ctrl + podwójne kliknięcie] lub [Ctrl + Enter] otwiera panel plików z zaznaczonym plikiem (funkcja może wymagać wstępnej rekonstrukcji FS w zależności od FS).

Ciąg statusu mapie klastrów ma następujący format:
[bieżący klaster / liczba klastrów] "pliku (strumień) nazwę" VCN: numer klastra na plik

Raport mapy klastrów

Raport pozwala uzyskać listę plików znajdujących się w określonych sektorach. Na przykład, pozwala na konwersję listy uszkodzonych sektorów na listę uszkodzonych plików. Aby wyświetlić pełne ścieżki plików, może być konieczna wstępna rekonstrukcja FS w zależności od FS.

Aby zamiast tego utworzyć listę sektorów zajmowanych przez pliki, użyj list Odzyskiwanie danych (przycisk Lista w oknie dialogowym "Odzyskaj").


DMDE - Menu

Spis treści · Praca z programem

Menu

  • Dysk
    • Wybierz dysk / zadanie...
    • Otwórz obraz / plik dziennika...
    • Konstruuj RAID...
    • Partycje...
    • Blokuj woluminy...
    • Parametry We/Wy...
    • Globalny tryb tylko do odczytu
    • Załaduj dane wycofania/zrzutu z pliku...
    • Zrzuć zmiany do pliku...
    • Cofnij zmiany
    • Ponów zmiany
    • Przywróć wszystkie zmiany
    • Zastosuj zmiany
  • Narzędzia
    • Pełne skanowanie...
    • Wszystkie znalezione / wirtualny system plików...
    • Szukaj w znalezionych (po nazwie)...
    • Odzyskaj / utwórz listę plików...
    • Przywróć EFS z backupu
    • Aktualizuj mapę klastrów
    • Raport mapy klastrów...
    • Ponownie otwórz parametry woluminu...
    • Narzędzia NTFS
    • Kopiuj sektory...
    • Wypełnij sectory...
    • Szukaj...
  • Okna
  • Edytor
  • Tryb
  • Edycja


DMDE - Menu Dysk

Spis treści · Praca · Menu

Menu "Dysk"

  • Wybierz dysk / zadanie...
  • Otwórz obraz / plik dziennika...
  • Konstruuj RAID...
  • Partycje...
  • Blokuj woluminy...
  • Parametry We/Wy...
  • Globalny tryb tylko do odczytu
  • Załaduj dane wycofania/zrzutu z pliku...
  • Zrzuć zmiany do pliku...
  • Cofnij zmiany
  • Ponów zmiany
  • Przywróć wszystkie zmiany
  • Zastosuj zmiany


DMDE - Blokuj woluminy

Spis treści · Praca · Menu · Dysk

Blokuj woluminy

Blokowanie woluminów jest stosowana w systemie Windows NT + do zapisu RAW, aby zapobiec jednoczesny dostęp OS do woluminów w tym samym czasie.

DMDE próbuje zablokować woluminy automatycznie, gdy jest to konieczne. Jednak, blokowanie może się nie powieść, jeśli wolumin jest używany przez system lub inne aplikacje. W tym przypadku, DMDE wniosków o dopuszczenie do ponawiania lub odinstalowania nie są zablokowane woluminów. Zamknij wszystkie aplikacje, które mogą użyć woluminu i ponów próbę.

Ponów | Spróbuj ponownie zablokować woluminy
Zmuszaj | Odinstalować wolumin. Uwaga! Wszystkie użyte deskryptory woluminu uchwyty zostaną utracone, np. niezapisane dane w otwartych plikach zostaną utracone
Ignoruj | Spróbuj piśmie RAW bez blokowania woluminu. Uwaga! Systema plików mogą być uszkodzone lub zapis RAW może być odrzucone przez operacyjny system
Anuluj | Anulować operację

Uwaga! Nie należy zablokować lub odinstalować wolumin, z którego DMDE oprogramowanie działa. Nie możesz zablokować lub dezinstalacji woluminu systemu.

DMDE odblokowuje woluminy podczas zamykania urządzenia stosowane obecnie.

Dodatkowo można ręcznie zarządzać blokowaniem woluminów za pomocą menu Dysk · Blokuj woluminy do zapisu.


DMDE - Zarządzanie zmianami

Spis treści · Praca · Menu · Dysk

Zarządzanie zmianami

Uwaga! Bezpośrednia modyfikacja zawartości dysku może mieć dalsze konsekwencje, w tym utratę danych lub niemożność załadowania i uruchomienia systemu.

Gdy system operacyjny wykryje nowe błędy FS (a także uzyska dostęp do FS ze starymi błędami), może uruchomić narzędzie do sprawdzania dysków w celu usunięcia błędów, co może również spowodować usunięcie danych użytkownika. System operacyjny może uruchomić narzędzie sprawdzające w trybie online lub podczas rozruchu.

Partycjonowanie modyfikacji może spowodować brak możliwości uruchamiania z dysku lub niedostępność niektórych partycji po zastosowaniu. Nigdy nie modyfikuj partycjonowania na bieżącym dysku startowym lub dysku systemowym. Użyj alternatywnego dysku startowego lub podłączyć dysk jako wtórną do innego komputera. Nie uruchamiaj oprogramowania z dysku, który będzie modyfikowany.

Bezpośrednie zmiany dysków wprowadzane są w systemie po ponownym uruchomieniu komputera, aktualizacji konfiguracji dysku lub ponownym podłączeniu podłączanego urządzenia. System operacyjny Windows może zabronić bezpośredniego zapisu na niektórych używanych obszarach dyskowych - zobacz Blokowanie woluminów. Niektóre programy antywirusowe mogą blokować bezpośredni zapis na dysk. W systemie Windows można również spróbować opcji interfejsa IO SCSI, aby obejść pewne ograniczenia.

Zmiany wprowadzone za pomocą poleceń Kopiuj sektory i Wypełnij sektory są natychmiast zapisywane na dysku.

Zmiany wprowadzone w edytorze dysku i menedżerze partycji pozostają wirtualne do momentu jawnego zastosowania ich na dysku. Do zarządzania zmianami wirtualnymi można użyć następujących poleceń menu Dysk.

Globalny tryb tylko do odczytu

Globalnie wyłącz wszystkie operacje zapisu (dla wszystkich urządzeń i obrazów urządzeń).
Zobacz także opcję Zezwól na zapis specyficzną dla urządzenia.

Załaduj dane wycofania/zrzutu z pliku...

Można załadować dane wycofania (jeśli zapisane przy zastosowaniu wcześniejszych zmian), a tym samym cofnąć ostatnich zmian. Możesz również skorzystać z polecenia do załadować zmian, które zostało zatopione do pliku zamiast stosowania na dysku.

Zrzuć zmiany do pliku...

Możesz zrzucić zmiany w pliku, a nie stosując je bezpośrednio na dysku. Później możesz ponownie otworzyć dysku i załadować wszystkie niestosowania zmian z pliku.

Cofnij zmiany

Grupa cofanie ostatniej zmiany. Aby cofnąć poszczególnych działań, użyć odpowiednich poleceń Disk Editor (menu Edycja) lub Partition Manager.

Redo zmiany

Grupa ponawianie ostatnich zmian.

Przywróć wszystkie zmiany

Odrzuć wszystkie niestosowane zmiany.

Zastosuj zmiany... [Ctrl+W]

Napisz zmian do dysku.


DMDE - Menu Narzędzia

Spis treści · Praca · Menu

Menu "Narzędzia"

  • Pełne skanowanie...
  • Wszystkie znalezione / wirtualny system plików...
  • Szukaj w znalezionych (po nazwie)...
  • Odzyskaj / utwórz listę plików...
  • Przywróć EFS z backupu
  • Aktualizuj mapę klastrów
  • Raport mapy klastrów...
  • Ponownie otwórz parametry woluminu...
  • Narzędzia NTFS
  • Kopiuj sektory...
  • Wypełnij sectory...
  • Szukaj...


DMDE - Wirtualna rekonstrukcja systemu plikуw

Spis treści · Praca · Menu · Narzędzia

Wirtualna rekonstrukcja systemu plików

Otwórz wirtualny katalog [Wszystkie znalezione / wirtualny FS] w Panelu plików, aby wirtualnie zrekonstruować strukturę katalogów i przygotować znaleźć i usunąć pliki i katalogi do odzysku.

Wyniki pełnego skanowania może być używany.

Możesz poprawić wyniki za pomocą przycisku Parametry i próbując różnych opcji.

FAT/exFAT

Użyj wynik wyszukiwania (ex)FAT tylko

Skorzystaj tylko wyników Pełnego skanowania bez skanowania całego woluminu ponownie.

Przeskanuj cały wolumen

Dodatkowo przeskannuj wolumen, jeśli nie jest skanowany w całości podczas Pełnego skanowania.

FAT Tabele Opcje (przycisk "Parametry")

Tablice FAT zawiera klastra łańcuchy gromadzących pofragmentowane pliki i katalogi. Oprogramowanie automatycznie wybiera użycie tabeli na podstawie oceny. Jednak możesz wypróbować różne opcje, aby osiągnąć lepsze wyniki rekonstrukcji i odzysku danych w całości lub dla konkretnych plików.

Możesz wybrać stół egzemplarz użyć (FAT1 lub FAT2) lub potępiać wykorzystanie tabeli (nie używaj tabele FAT), jeśli tabele są poważnie uszkodzone, lub użyj sprawdzenie opcji (nie używać bad sektorów), aby uniknąć niewłaściwych łańcuchów, czy jest jakaś uszkodzenia w tabelach.

Non-FAT

Czysta rekonstrukcja systemu plików

Opcja zapewnia najbardziej dokładne rekonstrukcja gdy system plików nie jest uszkodzony.

Domyślnie rekonstrukcja, Mniej/więcej wyników

Wykorzystanie wyników pełnego skanowania. Możesz zmniejszyć/zwiększyć liczbę wyników rekonstrukcji. Możesz ręcznie wybrać fragmentów za pomocą przycisku MFT/Parametry.

Numery MFT

Filtr plików według numerów do częściowego rekonstrukcję (może być użyteczne, jeżeli nie ma wystarczająco dużo RAM dla całego rekonstrukcji).

Przesunięte

Dołącz przesunięty MFT zapisy do rekonstrukcji (Pełne skanowanie muszą być wykonane).

Dodatkowe znaleziono

Dołącz dodatkowe znalezione pliki do rekonstrukcji (może zawierać śmieci, ale może pomóc w przypadku niektórych plików nie można odzyskać inne sposoby).

Tech. rekordy

Dołącz specjalne MFT zapisy do rekonstrukcji do analizy przez specjalistów NTFS.


DMDE - Komendy dla woluminy

Spis treści · Praca · Menu · Narzędzia

Komendy dla woluminy

Szukaj w znalezionych (po nazwie)

Lista plików pasujące do podanego wzorca w panelu wyszukiwania. Zobacz opcje Kategorie plików i filtry w sekcji odzyskiwanie danych. Wyszukiwanie odbywa się już znalezionych plików woluminu. Rekonstruuj systemu plików do listy usunięte i inne znalezione pliki.

Możesz przenieść panel wyszukiwania do nowej karty, aby go przypiąć i otworzyć katalogi w innym panelu.

Aktualizuj mapę klastrów

Aktualizacja informacji alokacji plików.

Ponownie otwórz parametry woluminu

Wyświetl parametry i ponownie otwórz wolumin bez wyników pełnego skanowania i rekonstrukcji systemu plików.


DMDE - Narzędzia NTFS

Spis treści · Praca · Menu · Narzędzia

Narzędzia NTFS

Uwaga! Korzystanie z narzędzia NTFS niezgodne woluminu NTFS może spowodować uszkodzenie systemu plików. Nie należy używać narzędzi, jeśli program nie rozpoznaje systemu plików poprawnie lub nie jesteś pewien, czy to jest.
Nigdy nie wykonywać komendy systemowego woluminu (gdzie pliki operacyjnego systemu znajdują się), w przeciwnym przypadku zostanie uszkodzony.
Blokowanie woluminów odbywa się po piśmie do woluminów. Po wykonaniu komend należy sprawdzić wolumnu za pomocą narzędzia systemowego chkdsk.
Nie zaleca tworzenie nazw plików ze specjalnymi symbolami.

Otwórz wolumin NTFS i wprowadzić niezbędne katalogu w panelu plików przed użyciem narzędzia.

Kopiuj plik

Kopiowanie, zastąpić lub dołączyć pliku do otwarcia partycji NTFS z pominięciem sterownika NTFS systemu.

Otwórz docelowy katalog w panelu plików do skopiować plik.
Wezwać komendy z menu.
Wybierz plik źródłowy.
Wprowadź nazwę pliku docelowego.
Wybierz opcję, aby zastąpić lub dołączyć pliku, jeśli plik docelowy istnieje.

Ciągłego wolnego miejsca na woluminie jest wymagany do zapisania pliku.

Utwórz katalog

Utwórz katalog na otwarciu partycji NTFS z pominięciem sterownika NTFS systemu.

Katalog jest tworzony w bieżącym folderze w panelu plików.

Usuń plik/pusty katalog

Usuń wybrany plik lub pusty katalog z otwarcia partycji NTFS z pominięciem sterownika NTFS systemu.

Napraw INDX-records katalogu

Naprawa NTFS katalogu aktualnie otwartego w panelu plików.


DMDE - Wypełnij sectory

Spis treści · Praca · Menu · Narzędzia

Wypełnij sektory

Napisz hex wzór lub wzór plik na sektory aktualnie wybranego urządzenia. Wzór jest napisane wiele razy, obejmujące wszystkie określone sektory.

Przeczytaj ostrzeżenie na tym łączu przed zmodyfikowaniem zawartości dysku. Zapis odbywa się bezpośrednio na dysk, wszystkie dane zostaną nadpisane, operacji nie można cofnąć.

Maksymalny rozmiar hex wzór 8 bajtów. Użyj plików dla dużych wzorów.

Wyrównać do sektora. Jeśli opcja jest włączona i następnej kopii wzorca nie pasuje do sektora w całości, to wzorce od początku następnego sektora. W przeciwnym razie wzory są kopiowane konsekwentnie, niezależnie od sektora granice.


DMDE - Szukaj szczególnego sektora

Spis treści · Praca · Menu · Narzędzia

Szukaj szczególnego sektora

Szukaj specjalne struktury dysku lub systemu plików. Wyszukiwanie odbywa się na sektorach dysku począwszy obok bieżącego sektora.

Wyszukaj ciąg znaków w obiekcie

Szukaj tekstu w obiekcie edytora.

Ustawienia wyszukiwania powtarzającego się wzoru

X razy z rzędu: wyszukaj wzór, który powtarza w rzędzie określoną liczbę razy
Szukaj końca powtórzeń: jeśli wzorzec zaczyna się powtarzać z rzędu, szukaj końca powtórzeń (zamiast szukania każdego powtórzenia)

Szukaj ponownie

Kontynuuj poszukiwania ciągu znaków w bieżącego obiektu lub poszczególnych sektorów na dysku począwszy od aktualnej pozycji w Edytorze disku.


DMDE - Menu Okna

Spis treści · Praca · Menu

Menu "Okna"

  • Drzewo katalogów
  • Panel plików
  • Edytor
  • Mapa klastrów
  • Podgląd
  • Panel szukania (szukaj w znalezionych)
  • Otwórz w nowej karcie

Podgląd

Gdy opcja jest włączona, Panel plików domyślnie otwiera pliki graficzne w trybie widoku obrazu.

Otwórz w nowej karcie

Otwórz bieżący panel w nowej karcie interfejsu. Jeśli jest to panel wyszukiwania lub mapa klastrów, panel zostanie przypięty, a nowe obiekty zostaną otwarte w innym panelu.


DMDE - Menu Edytor

Spis treści · Praca · Menu

Menu "Edytor"

Wybierz obiekt, aby otworzyć w Edytorze disku.

Tablica particji | Otwórz wszystkie sektory dysku. Idź do sektora MBR (pierwszy sektor dysku).
Boot Sektor | Otwórz wszystkie sektory woluminu. Idź do boot-sektora woluminu (pierwszy sektor otwartego wolumnu).
Kopia Boot Sektora | Otwórz wszystkie sektory woluminu. Idź do kopii boot-sektora woluminu.
Root katalog | Otwórz główny katalog woluminu.
FAT/MFT | Otwórz FAT1 (głównej tablicy klastrów) dla FAT, MFT dla NTFS.
FAT Copy/MFT Mirror | Otwórz FAT2 (kopię tablicy klastrów) dla FAT, MFTMirr dla NTFS.
MFT Record... | Otwórz MFT. Idź do określonego pliku MFT.
Klaster woluminu... | Otwórz wszystkie sektory woluminu. Idź do określonego klastra woluminu.
Sektor woluminu... | Otwórz wszystkie sektory woluminu. Idź do określonego sektora woluminu.
Sektory fizyczne... | Otwórz określone sektory dysku. Idź do określonego sektora dysku.
Dane pliku | Otwórz plik znajduje się na bieżącym klastre.
Wpis katalogu | Otwórz katalog zawierający bieżący plik. Idź do wpisu w pliku.
Klaster FAT/MFT record | Dla FAT: otwórz FAT1; idź do klastra FAT1 odpowiada bieżącego klastra woluminu. Dla NTFS: otwarte MFT; idź do rekordu MFT odpowiadające bieżącym pliku lub klastra woluminu.
Mapa klastrów | Otwórz Mapu clusterów. Idź do klastra mapu odpowiednią bieżącego klastra woluminu.
Idź do obiektu Offset... | Idź do określonej pozycji otwarty obiektu.

Oprócz komend Tablica particji i Sektory fizyczne należy otworzyć woluminu na początku.


DMDE - Menu Tryb

Spis treści · Praca · Menu

Menu "Tryb"

Przełącz tryb wyświetlania danych w Edytorze disku.

Własne szablony | Wybierz szablon niestandardowy
Heksadecymalny, Tekst | Użyj menu Kodowanie dla zmiany widoku kodowej tablicy.
Katalog FAT | Naciśnij [Enter], aby otworzyć dane pliku lub katalog w oknie edytora (jeżeli FAT jest otwarty).
FAT12/FAT16/FAT32 | Tablica klastrów FAT. Naciśnij [Enter] aby przejść do odpowiedniego klastra woluminu.
Tablica partycji MBR/GPT | Użyj polecenia ponownie lub naciśnij [F6], aby przełączyć się między MBR/GPT/GPT kopii. Naciśnij [Enter] aby przejść do wspomnianego sektora.
FAT/FAT32/NTFS Boot Record | Sektor startowy woluminu. Użyj komendy ponownie lub naciśnij [F7], aby wybrać następny systemu plików. Naciśnij [Enter], aby otworzyć woluminu.
Katalog NTFS | IndX-record katalogu NTFS. Naciśnij [Enter], aby otworzyć plik lub katalog w oknie edytora (jeżeli wolumin NTFS jest otwarte).
MFT Record | Naciśnij [Enter], aby otworzyć wybrany atrybut lub katalogu w oknie edytora. Naciśnij Przestrzeń, aby wyświetlić szczegóły atrybutu.
RAW sectory pliku NTFS | Przełączanie między dekodowane dane pliku i RAW danych sektora (jak na dysku).
Kodowanie... | Wybierz kodowej tablicy do tłumaczenia tekst w trybie Hexadecimal/Tekst.


DMDE - Menu Edycja

Spis treści · Praca · Menu

Menu "Edycja"

Komendy dla wykorzystania w edytorze dysku.

Wypełnij zerami | Wypełnij wybrany blok zerami
Kopiuj | Skopiuj wybrany blok do wewnętrznego bufora
Wklej | Wklej wewnętrznego bufora danych w bieżącej pozycji kursora
Wklej plik... | Wklej plik w bieżącej pozycji kursora
Wybierz blok | Przełącz tryb wyboru. Lub przytrzymaj klawisz [Shift] i użyć klawiszy strzałek lub naciśnij i przytrzymaj lewy przycisk myszy
Wybierz wszystkie | Wybierz cały obiekt
Eksport do pliku tekstowego | Eksportuj widok bieżących lub wybranych rekordów do pliku jako tekstu
Ponownie przeczytaj blok | Odrzuć zmiany i odczytu danych z dysku ponownie
Ukryj/pokaż zmiany... | Przełączanie między wyświetlaniem danych początkowych i zmodyfikowanych
Cofnij | Cofnij ostatnią zmianę (w trybie hex/text - wszystkie zmiany w sektorze)
Redo | Redo edycji
Tryb edycji | Przełącz edytować/trybie tylko do odczytu


DMDE - Praca z uszkodzonymi urządzeniami

Spis treści · Praca · Odzyskiwanie danych

Praca z uszkodzonymi urządzeniami

Jeśli istnieją problemy fizyczne (błędy wejścia-wyjścia, obce dźwięki, spadek wydajność, itd.) zaleca się zgłoszenie do specjalistów posiadających specjalistyczny sprzęt. Dalsze prace z dyskiem (nawet przy uruchamianiu) mogą pogorszyć problem i spowodować całkowitą niezdolność odzyskiwania danych. Więc wszelkie dalsze próby są na własne ryzyko. W każdym razie jest to możliwe tylko wtedy, gdy oprogramowanie ma dostęp do urządzenia (zawartość jest czytelna), a rozmiar urządzenia jest prawidłowo wykrywany (patrz Wymagania systemowe).

Błędy logiczne

Niektóre błędy mogą wynikać z przyczyn zewnętrznych: złe styki, nieoczekiwana utrata lub rozłączenie zasilania, itp. Jeśli sektor nie jest całkowicie lub nieprawidłowo zapisany, urządzenie zgłasza błąd podczas odczytu tego sektora, nawet jeśli nie ma fizycznego uszkodzenia (złe oprogramowanie). Urządzenie działa normalnie z wyjątkiem błędów podczas odczytu kilku sektorów. W takim przypadku należy naprawić źródło problemu (sprawdzić, czy styki płytki drukowanej nie są utlenione, wymienić przewody itp.) I kontynuować bezpieczny dostęp do urządzenia, jeśli sytuacja się nie pogorszy (niektóre błędy oprogramowania mogą nadal pozostać). Oczywiście nie dotyczy to przypadków, w których nastąpiło trafienie, urządzenie reaguje wolno itp. W każdym razie bezpieczniej byłoby wykonać kopię całego urządzenia przed kontynuowaniem odzyskiwania.

Klonowanie urządzeń

Zdecydowanie zaleca się najpierw sklonować uszkodzone urządzenie i kontynuować pracę z kopią.

Podczas odzyskiwania danych może wystąpić wiele prób dostępu do dysku: oprogramowanie zwykle skanuje całe urządzenie, następnie ponownie analizuje niektóre struktury na dysku, a następnie ponownie odczytuje dane podczas rzeczywistego odzyskiwania; można również wypróbować inne ustawienia i oprogramowanie. Powoduje to ciągłe odczytywanie urządzenia i coraz bardziej uszkadza problematyczne urządzenie. Wykonanie kopii sektorowej (klon) eliminuje ten problem, uszkodzone urządzenie jest odczytywane tylko raz.

W DMDE możesz użyć narzędzia Kopiuj sektory, aby sklonować urządzenie.

Specjalne środowisko i ustawienia

Zwykle system operacyjny może również aktywnie współpracować z urządzeniem, uszkadzając je bardziej, zakłócać pracę z nim, a także może niechciane zapisywać na dysku źródłowym (patrz także sekcja „Instalacja”). Powinieneś więc wybrać bardziej odpowiedni system operacyjny, przygotować urządzenie, skonfigurować parametry. Zalecenia dotyczące wyboru systemu operacyjnego znajdują się w sekcji Instalacja i uruchomienie.

Zalecane jest również używanie trybu the mode IO SCSI (w Windows / Linux lub ATA Interface w DOS), ponieważ jest on szybszy i mniej agresywny.

Aby całkowicie uniemożliwić systemowi pracę z partycjami urządzeń można chwilowo "wyłączyć" tablicę partycji. W DMDE możesz użyć poleceń MBR Off / GPT Off w oknie Partycje, następnie Zastosuj i zrestartuj system operacyjny lub ponownie podłącz dysk. Później możesz w podobny sposób „włączyć” tablicę partycji na dysku (MBR On / GPT On).

Jeśli klonowanie jest niemożliwe

Czasami stan urządzenia nie pozwala na pełne klonowanie. Pełna kopia może zająć nieracjonalnie dużo czasu, ale musisz odzyskać tylko niektóre ważne pliki. W takim przypadku możesz spróbować odzyskać dane bez wykonywania pełnego skanowania.

DMDE umożliwia otwieranie woluminów i znajdowanie niektórych plików bez wstępnego pełnego skanowania. Możesz spróbować otworzyć wolumin, jeśli jest widoczny w oknie Partycje zaraz po wybraniu urządzenia. Możesz także spróbować otworzyć woluminy, gdy tylko pojawią się w wynikach pełnego skanowania, bez czekania na jego zakończenie. Pamiętaj, aby zapisać wyniki skanowania, aby uniknąć ponownego skanowania w przyszłości w przypadku awarii. Otwórz wolumin i najpierw odzyskaj najważniejsze pliki i sprawdź, czy można je otworzyć / odtworzyć.


DMDE - Instrukcja - Spis treści

Online: en pl ru

DMDE Instrukcja · Spis treści

  • Pomoc DMDE
  • O DMDE
    • Opis DMDE
    • Edycji DMDE (DMDE Editions)
    • Opis plików
    • Problemy i ograniczenia
  • Instalacja i uruchamianie *
    • Instalacja i uruchamianie *
    • Wymagania systemowe
    • Aktywacja
    • Ustawienia programu
    • Języki
  • Praca z programem
    • Szukanie i otwarcie woluminów
    • Odzyskiwanie danych
    • Zarządzanie partycjami
    • Pełne skanowanie
    • Wybór urządzenia
    • Parametry We/Wy dysku
    • Obrazy dysków i klony
    • Macierze RAID
    • Panel plików
    • Edytor dysku
    • Mapa klastrów
  • Komendy menu
    • Dysk
    • Narzędzia
    • Okna
    • Edytor
    • Tryb
    • Edycja